Index: /WAeUP_SRP/trunk/skins/waeup_student/getSessionResults.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getSessionResults.py	(revision 1412)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getSessionResults.py	(revision 1413)
@@ -1,11 +1,2 @@
-## Script (Python) "getSessionResults"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=
-##title=
-##
 # $Id: display_session_results.py 1166 2006-12-31 18:11:47Z henrik $
 """
@@ -99,9 +90,12 @@
     gpa = float(gpa) / course_count
     gpa = "%4.2f" % gpa
-if student_from_cat.sex:
-    info['sex'] = 'F'
-else:
-    info['sex'] = 'M'
-info['level'] = int(student_from_cat.level)-100
+    
+# not available at the beginning    
+#if student_from_cat.sex:
+#    info['sex'] = 'F'
+#else:
+#    info['sex'] = 'M'
+#info['level'] = int(student_from_cat.level)-100
+
 info['verdict'] = verdict
 info['session'] = session
Index: /WAeUP_SRP/trunk/skins/waeup_student/session_results_slip.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/session_results_slip.pt	(revision 1412)
+++ /WAeUP_SRP/trunk/skins/waeup_student/session_results_slip.pt	(revision 1413)
@@ -24,5 +24,5 @@
         </tr>
         <tr>
-          <th>Sex:</th><td tal:content="info/sex" />                     
+          <th>Sex:</th><td tal:content="info/student_from_returning/Sex" />                     
         </tr>
         <tr>
@@ -30,5 +30,5 @@
         </tr>
         <tr>
-          <th>Level:</th><td tal:content="info/level" />                     
+          <th>Level:</th><td tal:content="info/student_from_returning/Level" />                     
         </tr>
       </table>
Index: /WAeUP_SRP/trunk/skins/waeup_student/session_results_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/session_results_view.pt	(revision 1412)
+++ /WAeUP_SRP/trunk/skins/waeup_student/session_results_view.pt	(revision 1413)
@@ -2,9 +2,9 @@
     <metal:main fill-slot="main"
                 tal:define="info context/getSessionResults">
-      <div style="text-align: right">
-        <a href="" target="slip" tal:attributes="href string:session_results_slip"
+      <div tal:condition="nothing" style="text-align: right">
+        <a href="" target="slip" tal:attributes="href string:session_results_slip?nr=${info/student/matric_no}"
            onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
           <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
-          Sessional Result Slip
+          Session Result Slip
         </a>
       </div>
@@ -24,5 +24,5 @@
         </tr>
         <tr>
-          <th>Sex:</th><td tal:content="info/sex" />                     
+          <th>Sex:</th><td tal:content="info/student_from_returning/Sex" />                     
         </tr>
         <tr>
@@ -30,5 +30,5 @@
         </tr>
         <tr>
-          <th>Level:</th><td tal:content="info/level" />                     
+          <th>Level:</th><td tal:content="info/student_from_returning/Level" />                     
         </tr>
       </table>
@@ -71,14 +71,6 @@
         </span>
       </table>
-      <br />
-      <form action="" method="post"
-            tal:attributes="action string:${context/portal_url}/personal_edit_form">
-        <input type="submit" 
-               class="standalone" 
-               value="Continue to Personal Data Page!"
-               name="submit" />
-      </form>
+
     </metal:main>
 </metal:body>
 
-             
Index: /WAeUP_SRP/trunk/skins/waeup_utilities/createReturningStudent.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_utilities/createReturningStudent.py	(revision 1412)
+++ /WAeUP_SRP/trunk/skins/waeup_utilities/createReturningStudent.py	(revision 1413)
@@ -31,5 +31,5 @@
     sid,jamb_reg_no = context.waeup_tool.createOne(students_folder,student_brain,'?')
     logger.info('"%s","Created Student","%s", "%s" ' % (member,sid,matric_no))
-    return "Student MatricNo %s, StudentId %s Jamb %s created" % (matric_no,sid,jamb_reg_no)
+    return "Student MatricNo %s, StudentId %s (JAMBRegNo %s) created" % (matric_no,sid,jamb_reg_no)
 
 matric_nos = context.returning_import.uniqueValuesFor('matric_no')