Index: WAeUP_SRP/trunk/profiles/default/layouts.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts.xml	(revision 1412)
+++ WAeUP_SRP/trunk/profiles/default/layouts.xml	(revision 1415)
@@ -16,5 +16,4 @@
  <object name="scratch_card_batch" meta_type="CPS Layout"/>
  <object name="scratch_card_search" meta_type="CPS Layout"/>
- <object name="student_study_course" meta_type="CPS Layout"/>
  <object name="student_accommodation" meta_type="CPS Layout"/>
  <object name="student_accommodation_fe" meta_type="CPS Layout"/>
@@ -26,4 +25,5 @@
  <object name="student_clearance_fe" meta_type="CPS Layout"/>
  <object name="student_course_result" meta_type="CPS Layout"/>
+ <object name="student_create" meta_type="CPS Layout"/>
  <object name="student_personal" meta_type="CPS Layout"/>
  <object name="student_personal_fe" meta_type="CPS Layout"/>
@@ -34,4 +34,5 @@
  <object name="student_search" meta_type="CPS Layout"/>
  <object name="student_study_level" meta_type="CPS Layout"/>
+ <object name="student_study_course" meta_type="CPS Layout"/>
  <object name="student_transfer" meta_type="CPS Layout"/>
  <object name="study_level" meta_type="CPS Layout"/>
Index: WAeUP_SRP/trunk/profiles/default/layouts/certificate.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/certificate.xml	(revision 1412)
+++ WAeUP_SRP/trunk/profiles/default/layouts/certificate.xml	(revision 1415)
@@ -1,4 +1,4 @@
 <?xml version="1.0"?>
-<?xml-stylesheet type="text/xsl" href="types.xsl"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
 <object name="certificate" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 1412)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 1415)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
 <object name="student_application" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_create.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_create.xml	(revision 1415)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_create.xml	(revision 1415)
@@ -0,0 +1,147 @@
+<?xml version="1.0"?>
+<object name="student_create" meta_type="CPS Layout">
+ <property name="layout_create_method"></property>
+ <property name="layout_edit_method"></property>
+ <property name="layout_view_method"></property>
+ <property name="style_prefix">layout_waeup_</property>
+ <property name="flexible_widgets"/>
+ <property name="validate_values_expr"></property>
+ <widget name="email" meta_type="Email Widget">
+  <property name="title">Email</property>
+  <property name="fields">
+   <element value="email"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Email</property>
+  <property name="label_edit">Email</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="firstname" meta_type="String Widget">
+  <property name="title">Firstname</property>
+  <property name="fields">
+   <element value="firstname"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Firstname</property>
+  <property name="label_edit">Firstname</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="lastname" meta_type="String Widget">
+  <property name="title">Lastname</property>
+  <property name="fields">
+   <element value="lastname"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Lastname</property>
+  <property name="label_edit">Lastname</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="entry_mode" meta_type="Select Widget">
+  <property name="title">Entry Mode</property>
+  <property name="fields">
+   <element value="entry_mode"/>
+  </property>
+  <property name="label">Entry Mode</property>
+  <property name="label_edit">Entry Mode</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">entry_modes</property>
+ </widget>
+ <widget name="level" meta_type="Select Widget">
+  <property name="title">Level</property>
+  <property name="fields">
+   <element value="level"/>
+  </property>
+  <property name="label">Level</property>
+  <property name="label_edit">Level</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">courselevel</property>
+ </widget>
+ <widget name="matric_no" meta_type="String Widget">
+  <property name="title">Matric No</property>
+  <property name="fields">
+   <element value="matric_no"/>
+  </property>
+  <property name="label">Matric No</property>
+  <property name="label_edit">Matric No</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">10</property>
+ </widget>
+ <widget name="middlename" meta_type="String Widget">
+  <property name="title">Middlename</property>
+  <property name="fields">
+   <element value="middlename"/>
+  </property>
+  <property name="label">Middlename</property>
+  <property name="label_edit">Middlename</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="sex" meta_type="Boolean Widget">
+  <property name="title">Sex</property>
+  <property name="fields">
+   <element value="sex"/>
+  </property>
+  <property name="label">Sex</property>
+  <property name="label_edit">Sex</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="label_false">male</property>
+  <property name="label_true">female</property>
+  <property name="render_format">select</property>
+ </widget>
+ <widget name="study_course" meta_type="StudyCourse Widget">
+  <property name="title">Study Course</property>
+  <property name="fields">
+   <element value="study_course"/>
+  </property>
+  <property name="label">Study Course</property>
+  <property name="label_edit">Study Course</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">10</property>
+ </widget>
+ <table>
+  <row>
+   <cell name="firstname"/>
+  </row>
+  <row>
+   <cell name="middlename"/>
+  </row>
+  <row>
+   <cell name="lastname"/>
+  </row>
+  <row>
+   <cell name="email"/>
+  </row>
+  <row>
+   <cell name="sex"/>
+  </row>
+  <row>
+   <cell name="entry_mode"/>
+  </row>
+  <row>
+   <cell name="matric_no"/>
+  </row>
+  <row>
+   <cell name="study_course"/>
+  </row>
+  <row>
+   <cell name="level"/>
+  </row>
+ </table>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/schemas.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas.xml	(revision 1412)
+++ WAeUP_SRP/trunk/profiles/default/schemas.xml	(revision 1415)
@@ -15,8 +15,9 @@
  <object name="student" meta_type="CPS Schema"/>
  <object name="scratch_card_batch" meta_type="CPS Schema"/>
- <object name="student_course_result" meta_type="CPS Schema"/>
  <object name="student_accommodation" meta_type="CPS Schema"/>
  <object name="student_application" meta_type="CPS Schema"/>
  <object name="student_clearance" meta_type="CPS Schema"/>
+ <object name="student_course_result" meta_type="CPS Schema"/>
+ <object name="student_create" meta_type="CPS Schema"/>
  <object name="student_personal" meta_type="CPS Schema"/>
  <object name="student_pume" meta_type="CPS Schema"/> 
Index: WAeUP_SRP/trunk/profiles/default/schemas/student_create.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student_create.xml	(revision 1415)
+++ WAeUP_SRP/trunk/profiles/default/schemas/student_create.xml	(revision 1415)
@@ -0,0 +1,13 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
+<object name="student_create" meta_type="CPS Schema">
+ <field name="email" meta_type="CPS String Field"/>
+ <field name="entry_mode" meta_type="CPS String Field"/>
+ <field name="firstname" meta_type="CPS String Field"/>
+ <field name="lastname" meta_type="CPS String Field"/>
+ <field name="level" meta_type="CPS String Field"/>
+ <field name="matric_no" meta_type="CPS String Field"/>
+ <field name="middlename" meta_type="CPS String Field"/>
+ <field name="sex" meta_type="CPS Boolean Field"/>
+ <field name="study_course" meta_type="CPS String Field"/>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/vocabularies.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/vocabularies.xml	(revision 1412)
+++ WAeUP_SRP/trunk/profiles/default/vocabularies.xml	(revision 1415)
@@ -5,4 +5,5 @@
  <object name="acco_hall_reserved_rooms" meta_type="CPS Method Vocabulary"/>
  <object name="courselevel" meta_type="CPS Vocabulary"/>
+ <object name="entry_modes" meta_type="CPS Vocabulary"/>
  <object name="exam_subjects" meta_type="CPS Vocabulary"/>
  <object name="exam_types" meta_type="CPS Vocabulary"/>
Index: WAeUP_SRP/trunk/profiles/default/vocabularies/entry_modes.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/vocabularies/entry_modes.xml	(revision 1415)
+++ WAeUP_SRP/trunk/profiles/default/vocabularies/entry_modes.xml	(revision 1415)
@@ -0,0 +1,11 @@
+<?xml version="1.0"?>
+<object name="entry_modes" meta_type="CPS Vocabulary">
+ <property name="title"></property>
+ <property name="title_msgid"></property>
+ <property name="description"></property>
+ <property name="acl_write_roles">Manager</property>
+ <item key="NEW_UME" msgid="">New UME</item>
+ <item key="NEW_DE" msgid="">New Direct Entry</item>
+ <item key="RET_UME" msgid="">Returning UME</item>
+ <item key="RET_DE" msgid="">Returning Direct Entry</item>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/workflows/definition.xsl
===================================================================
--- WAeUP_SRP/trunk/profiles/default/workflows/definition.xsl	(revision 1415)
+++ WAeUP_SRP/trunk/profiles/default/workflows/definition.xsl	(revision 1415)
@@ -0,0 +1,203 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
+  <xsl:output method="html"/>
+  <xsl:template match="/">
+    <html>
+      <head>
+        <title>
+          <xsl:for-each select="object">
+            <xsl:value-of select="@name"/>
+          </xsl:for-each>
+        </title>
+        <link rel="stylesheet" type="text/css" media="all"
+              href="../../xsl.css" />      
+      </head>
+      <body>
+        <table>
+          <xsl:for-each select="cps-workflow">
+            <tr>
+              <th>Title</th>
+              <td>
+                <xsl:value-of select="@title"/>
+              </td>
+            </tr>
+            <tr>
+              <th>Workflow Id</th>
+              <td>
+                <xsl:value-of select="@workflow_id"/>
+              </td>
+            </tr>
+            <tr>
+              <th>State Variable</th>
+              <td>
+                <xsl:value-of select="@state_variable"/>
+              </td>
+            </tr>
+            <tr>
+              <th>Meta Type</th>
+              <td>
+                <xsl:value-of select="@meta_type"/>
+              </td>
+            </tr>
+          </xsl:for-each>
+        </table>            
+        <h2>Managed Permissions</h2>
+        <table>
+          <xsl:for-each select="cps-workflow/permission">
+            <xsl:variable name="color">
+              <xsl:choose>
+                <xsl:when test="position() mod 2 = 0">
+                  <xsl:text>#ffffff</xsl:text>
+                </xsl:when>
+                <xsl:otherwise>
+                  <xsl:text>#eeeeee</xsl:text>
+                </xsl:otherwise>
+              </xsl:choose>
+            </xsl:variable>
+            <tr style="background-color:{$color}">
+              <td colspan="">
+                <xsl:value-of select="text()"/>
+              </td>
+            </tr>
+          </xsl:for-each>
+        </table>
+        <h2>States</h2>
+          <xsl:for-each select="cps-workflow/state">
+            <xsl:variable name="color">
+              <xsl:choose>
+                <xsl:when test="position() mod 2 = 0">
+                  <xsl:text>#ffffff</xsl:text>
+                </xsl:when>
+                <xsl:otherwise>
+                  <xsl:text>#eeeeee</xsl:text>
+                </xsl:otherwise>
+              </xsl:choose>
+            </xsl:variable>
+          <h3><xsl:value-of select="@state_id"/>  <xsl:value-of select="@title"/></h3>
+          <table>
+            <tr style="background-color:{$color}">
+              <th>
+                Exit Transitions
+              </th>
+              <td colspan="2">
+                <xsl:for-each select="exit-transition">
+                  <xsl:value-of select="@transition_id"/><br />
+                </xsl:for-each>
+              </td>
+            </tr>
+            <tr style="background-color:{$color}">
+              <th>
+                Permission Map
+              </th>
+              <th>
+                Acquired
+              </th>
+              <th>
+                Permission Roles
+              </th>
+            </tr>
+            <xsl:for-each select="permission-map">
+              <tr style="background-color:{$color}">
+                <td>
+                  <xsl:value-of select="@name"/>
+                </td>
+                <td>
+                  <xsl:value-of select="@acquired"/>
+                </td>
+                <td>
+                  <xsl:for-each select="permission-role">
+                    <xsl:value-of select="text()"/><br />
+                  </xsl:for-each>
+                </td>
+              </tr>
+            </xsl:for-each>
+          </table>
+        </xsl:for-each>
+        <h2>Transitions</h2>
+          <xsl:for-each select="cps-workflow/transition">
+            <xsl:variable name="color">
+              <xsl:choose>
+                <xsl:when test="position() mod 2 = 0">
+                  <xsl:text>#ffffff</xsl:text>
+                </xsl:when>
+                <xsl:otherwise>
+                  <xsl:text>#eeeeee</xsl:text>
+                </xsl:otherwise>
+              </xsl:choose>
+            </xsl:variable>
+          <h3>Id: <xsl:value-of select="@transition_id"/> Title: <xsl:value-of select="@title"/></h3> 
+          <h3>New State: <xsl:value-of select="@new_state"/> Trigger: <xsl:value-of select="@trigger"/> </h3>
+          <table>
+            <xsl:for-each select="action">
+              <tr style="background-color:{$color}">
+                <td colspan="2">
+                  <strong>Action URL:</strong> <xsl:value-of select="@url"/>
+                </td>
+                <td colspan="1">
+                  <strong>Category:</strong> <xsl:value-of select="@category"/>
+                </td>
+                <td colspan="1">
+                  <strong>Box:</strong> <xsl:value-of select="text()"/>
+                </td>
+              </tr>
+            </xsl:for-each>
+            <tr style="background-color:{$color}">
+              <td colspan="2">
+                <strong>B Script:</strong> <xsl:value-of select="@before_script"/>
+              </td>
+              <td colspan="2">
+                <strong>A Script:</strong> <xsl:value-of select="@after_script"/>
+              </td>
+            </tr>
+            <tr style="background-color:{$color}">
+              <th colspan="2">
+                Transition Flags
+              </th>
+              <td colspan="2">
+                <xsl:for-each select="transition-behavior">
+                  <xsl:value-of select="@behavior_id"/><br />
+                </xsl:for-each>
+              </td>
+            </tr>
+            <tr style="background-color:{$color}">
+              <th>
+               Guard: Roles
+              </th>
+              <th>
+                Groups
+              </th>
+              <th>
+                Permissions
+              </th>
+              <th>
+                Expression
+              </th>
+            </tr>
+            <tr style="background-color:{$color}">
+              <td>
+                <xsl:for-each select="guard/guard-role">
+                  <xsl:value-of select="text()"/><br />
+                </xsl:for-each>
+              </td>
+              <td>
+                <xsl:for-each select="guard/guard-group">
+                  <xsl:value-of select="text()"/><br />
+                </xsl:for-each>
+              </td>
+              <td>
+                <xsl:for-each select="guard/guard-permission">
+                  <xsl:value-of select="text()"/><br />
+                </xsl:for-each>
+              </td>
+              <td>
+                <xsl:for-each select="guard/guard-expression">
+                  <xsl:value-of select="text()"/><br />
+                </xsl:for-each>
+              </td>
+            </tr>
+          </table>
+        </xsl:for-each>
+      </body>
+    </html>
+  </xsl:template>
+</xsl:stylesheet>