Index: /WAeUP_SRP/trunk/profiles/default/layouts/layout.xsl
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/layout.xsl	(revision 1416)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/layout.xsl	(revision 1417)
@@ -89,5 +89,12 @@
                 </th>
                 <td>
-                  <xsl:value-of select="text()"/>
+                  <xsl:choose>
+                    <xsl:when test="@name='vocabulary'">
+                      <a href="../vocabularies/{text()}.xml"><xsl:value-of select="text()"/></a>
+                    </xsl:when>
+                    <xsl:otherwise>
+                      <xsl:value-of select="text()"/>
+                    </xsl:otherwise>
+                  </xsl:choose>
                 </td>
                 <td>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_create.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_create.xml	(revision 1416)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_create.xml	(revision 1417)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
 <object name="student_create" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_study_course.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_study_course.xml	(revision 1416)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_study_course.xml	(revision 1417)
@@ -20,5 +20,5 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
- <widget name="current_level" meta_type="String Widget">
+ <widget name="current_level" meta_type="Select Widget">
   <property name="title">Current Studylevel</property>
   <property name="fields">
@@ -31,6 +31,7 @@
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">courselevel</property>
  </widget>
- <widget name="current_verdict" meta_type="String Widget">
+ <widget name="current_verdict" meta_type="Select Widget">
   <property name="title">Current Verdict</property>
   <property name="fields">
@@ -43,6 +44,10 @@
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">verdicts</property>
  </widget>
  <table>
+  <row>
+   <cell name="study_course"/>
+  </row>
   <row>
    <cell name="current_verdict"/>
Index: /WAeUP_SRP/trunk/profiles/default/types/StudentStudyCourse.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/StudentStudyCourse.xml	(revision 1416)
+++ /WAeUP_SRP/trunk/profiles/default/types/StudentStudyCourse.xml	(revision 1417)
@@ -37,4 +37,8 @@
   <permission value="View"/>
  </action>
+ <action title="action_edit" action_id="edit" category="object" condition_expr=""
+    url_expr="string:${object_url}/waeup_edit_form" visible="True">
+  <permission value="Modify portal content"/>
+ </action>
  <action title="Delegate" action_id="localroles" category="object"
     condition_expr="" url_expr="string:${object_url}/folder_localrole_form"
@@ -45,5 +49,5 @@
     condition_expr=""
     url_expr="string:${object/absolute_url}/content_create?type_name=StudentStudyLevel"
-    visible="True">
+    visible="False">
   <permission value="Add portal content"/>
  </action>
Index: /WAeUP_SRP/trunk/profiles/default/vocabularies.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/vocabularies.xml	(revision 1416)
+++ /WAeUP_SRP/trunk/profiles/default/vocabularies.xml	(revision 1417)
@@ -31,3 +31,4 @@
  <object name="academics_search_mode" meta_type="CPS Vocabulary"/>
  <object name="searchable_academics_states" meta_type="CPS Vocabulary"/>
+ <object name="verdicts" meta_type="CPS Vocabulary"/>
  </object>
Index: /WAeUP_SRP/trunk/profiles/default/vocabularies/entry_modes.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/vocabularies/entry_modes.xml	(revision 1416)
+++ /WAeUP_SRP/trunk/profiles/default/vocabularies/entry_modes.xml	(revision 1417)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="vocabulary.xsl"?>
 <object name="entry_modes" meta_type="CPS Vocabulary">
  <property name="title"></property>
Index: /WAeUP_SRP/trunk/profiles/default/vocabularies/verdicts.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/vocabularies/verdicts.xml	(revision 1417)
+++ /WAeUP_SRP/trunk/profiles/default/vocabularies/verdicts.xml	(revision 1417)
@@ -0,0 +1,20 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="vocabulary.xsl"?>
+<object name="verdicts" meta_type="CPS Vocabulary">
+ <property name="title"></property>
+ <property name="title_msgid"></property>
+ <property name="description"></property>
+ <property name="acl_write_roles">Manager</property>
+ <item key="A" msgid="">Successful Student</item>
+ <item key="B" msgid="">Student WITH CARRYOVER COURSES</item>
+ <item key="C" msgid="">Student for Probation</item>
+ <item key="C" msgid="">Student on Probation/Transfer</item>
+ <item key="D" msgid="">Student who is to withdraw from the Faculty</item>
+ <item key="E" msgid="">Student who were previously on Probation</item>
+ <item key="F" msgid="">medical Cases</item>
+ <item key="G" msgid="">absent from Examination</item>
+ <item key="H" msgid="">withheld Results</item>
+ <item key="I" msgid="">expelled/rusticated/suspended Student</item>
+ <item key="J" msgid="">temporary withdrawal from the University</item>
+ <item key="K" msgid="">unregistered Student</item>
+</object>
Index: /WAeUP_SRP/trunk/profiles/default/vocabularies/vocabulary.xsl
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/vocabularies/vocabulary.xsl	(revision 1417)
+++ /WAeUP_SRP/trunk/profiles/default/vocabularies/vocabulary.xsl	(revision 1417)
@@ -0,0 +1,77 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
+  <xsl:output method="html"/>
+  <xsl:template match="/">
+    <html>
+      <head>
+        <title>
+          <xsl:value-of select="object/name"/>
+        </title>
+        <link rel="stylesheet" type="text/css" media="all"
+              href="../xsl.css" />      
+      </head>
+      <body>
+        <xsl:for-each select="object">
+          <h2>
+            Vocabulary: <xsl:value-of select="@name"/>
+          </h2> 
+        </xsl:for-each>
+        <h1>Properties</h1>
+        <table>
+          <xsl:for-each select="object/property">
+            <xsl:sort select="@name"
+                      order="ascending" />
+            <xsl:variable name="color">
+              <xsl:choose>
+                <xsl:when test="position() mod 2 = 0">
+                  <xsl:text>#ffffff</xsl:text>
+                </xsl:when>
+                <xsl:otherwise>
+                  <xsl:text>#eeeeee</xsl:text>
+                </xsl:otherwise>
+              </xsl:choose>
+            </xsl:variable>
+            <tr style="background-color:{$color}">
+              <td colspan="">
+                <xsl:value-of select="@name"/>
+              </td>
+            </tr>
+          </xsl:for-each>
+        </table>
+        <h1>Items</h1>
+        <table>
+          <tr>
+            <th>Key</th>
+            <th>MsgId</th>
+            <th>Text</th>
+          </tr>
+          <xsl:for-each select="object/item">
+            <xsl:sort select="@name"
+                      order="ascending" />
+            <xsl:variable name="color">
+              <xsl:choose>
+                <xsl:when test="position() mod 2 = 0">
+                  <xsl:text>#ffffff</xsl:text>
+                </xsl:when>
+                <xsl:otherwise>
+                  <xsl:text>#eeeeee</xsl:text>
+                </xsl:otherwise>
+              </xsl:choose>
+            </xsl:variable>
+            <tr style="background-color:{$color}">
+              <td colspan="">
+                <xsl:value-of select="@key"/>
+              </td>
+              <td colspan="">
+                <xsl:value-of select="@msgid"/>
+              </td>
+              <td colspan="">
+                <xsl:value-of select="text()"/>
+              </td>
+            </tr>
+          </xsl:for-each>
+        </table>
+      </body>
+    </html>
+  </xsl:template>
+</xsl:stylesheet>
Index: /WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py	(revision 1416)
+++ /WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py	(revision 1417)
@@ -113,5 +113,7 @@
                              p_review_state == 'created' :
             wftool.doActionFor(student_per,'open')
-        
+        res = context.students_catalog(id = str(member))
+        matric_no = res[0].matric_no
+        is_imported = context.returning_import(matric_no = matric_no)
         if s_review_state == "application_pin_entered":
             redirect_url = "%s/application_edit_form" % student.absolute_url()
@@ -122,5 +124,5 @@
         elif s_review_state == "cleared_and_validated":
             redirect_url = "%s/personal_edit_form" % student.absolute_url()
-        elif s_review_state == "returning":
+        elif s_review_state == "returning" and is_imported:
             redirect_url = "%s/session_results_view" % student.absolute_url()
         else:
Index: /WAeUP_SRP/trunk/skins/waeup_default/waeup_edit.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/waeup_edit.py	(revision 1416)
+++ /WAeUP_SRP/trunk/skins/waeup_default/waeup_edit.py	(revision 1417)
@@ -53,4 +53,6 @@
             context.students_catalog.modifyRecord(id = student_id,
                                                   course = course,
+                                                  level = ds.get('current_level'),
+                                                  verdict = ds.get('current_verdict'),
                                                   faculty = c_path[-4],
                                                   department = c_path[-3],
Index: /WAeUP_SRP/trunk/skins/waeup_student/add_student.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/add_student.py	(revision 1416)
+++ /WAeUP_SRP/trunk/skins/waeup_student/add_student.py	(revision 1417)
@@ -49,6 +49,6 @@
 matric_no = ds.get('matric_no')
 res = context.students_catalog(matric_no = matric_no)
-psm = "Student with matric_no %s exists with Id: %s" % (matric_no,res[0].id)
 if res:
+    psm = "Student with matric_no %s exists with Id: %s" % (matric_no,res[0].id)
     return context.add_student_form(rendered = rendered,
                                  psm = psm,
Index: /WAeUP_SRP/trunk/skins/waeup_student/getSessionResults.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getSessionResults.py	(revision 1416)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getSessionResults.py	(revision 1417)
@@ -8,4 +8,5 @@
 pr = context.portal_registration
 
+request = context.REQUEST
 returning = context.returning_import
 results = context.results_import
@@ -45,5 +46,9 @@
 
 res = returning(matric_no = matric_no)
-student_from_returning = res[0]
+if res:
+    student_from_returning = res[0]
+else:
+    return None
+
 res = results(matric_no = matric_no)
 results = res
Index: /WAeUP_SRP/trunk/skins/waeup_student/getStudyCourseInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getStudyCourseInfo.py	(revision 1416)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getStudyCourseInfo.py	(revision 1417)
@@ -45,5 +45,7 @@
 current_level = sbrain.level
 levels = context.objectIds()
-if current_level not in levels:
+#levels.sort()
+#if int(current_level) > int(levels[-1]):
+if not levels:
     context.invokeFactory('StudentStudyLevel',"%s" % current_level)
     level = getattr(context,"%s" % current_level)
Index: /WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt	(revision 1416)
+++ /WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt	(revision 1417)
@@ -11,5 +11,5 @@
       </a>
       <h3> 
-        <span tal:condition="python:is_so and s_info">
+        <span tal:condition="is_so">
           <span tal:content="info/student/name" />:
         </span>