Index: WAeUP_SRP/trunk/profiles/default/layouts/student_create.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_create.xml	(revision 1417)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_create.xml	(revision 1418)
@@ -57,10 +57,10 @@
  </widget>
  <widget name="level" meta_type="Select Widget">
-  <property name="title">Level</property>
+  <property name="title">Current Level</property>
   <property name="fields">
    <element value="level"/>
   </property>
-  <property name="label">Level</property>
-  <property name="label_edit">Level</property>
+  <property name="label">Current Level</property>
+  <property name="label_edit">Current Level</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -112,4 +112,5 @@
   <property name="label">Study Course</property>
   <property name="label_edit">Study Course</property>
+  <property name="is_required">True</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_study_course.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_study_course.xml	(revision 1417)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_study_course.xml	(revision 1418)
@@ -21,11 +21,11 @@
  </widget>
  <widget name="current_level" meta_type="Select Widget">
-  <property name="title">Current Studylevel</property>
+  <property name="title">Current Study Level</property>
   <property name="fields">
    <element value="current_level"/>
   </property>
   <property name="is_required">False</property>
-  <property name="label">Current Studylevel</property>
-  <property name="label_edit">Current Studylevel</property>
+  <property name="label">Current Study Level</property>
+  <property name="label_edit">Current Study Level</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
Index: WAeUP_SRP/trunk/skins/waeup_student/add_student.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/add_student.py	(revision 1417)
+++ WAeUP_SRP/trunk/skins/waeup_student/add_student.py	(revision 1418)
@@ -13,5 +13,5 @@
 acco_cat = context.portal_accommodation
 import logging
-logger = logging.getLogger('Student')
+logger = logging.getLogger('Student.Add')
 
 validate = REQUEST.has_key("cpsdocument_edit_button") and\
@@ -65,5 +65,5 @@
 dict['password'] = password
 student_rec = context.getFormattedStudentEntry(context.students_catalog(id = sid)[0])
-psm = "Student created with Id: %s and password: %s" % (sid,password)
+psm = "Student with Id %s and Password %s created!" % (sid,password)
 logger.info('"%s","created student","%s"' % (member,sid))
 return context.add_student_form(rendered = rendered,
Index: WAeUP_SRP/trunk/skins/waeup_student/add_student_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/add_student_form.pt	(revision 1417)
+++ WAeUP_SRP/trunk/skins/waeup_student/add_student_form.pt	(revision 1418)
@@ -25,5 +25,5 @@
             </tr>                
             <tr>
-              <td>Name</td>
+              <td>Name:</td>
               <td tal:content="student/name" />
             </tr>                
@@ -41,12 +41,21 @@
             </tr>        
             <tr>
-              <td>Matric No</td>
+              <td>Matric No:</td>
               <td tal:content="student/matric_no" />
             </tr>                
             <tr>
-              <td>Study Course</td>
+              <td>Study Course:</td>
               <td tal:content="student/course" />
-            </tr>                
+            </tr>        
+            <tr>
+              <td>URL:</td>
+              <td><a tal:attributes="href string:${here/portal_url}/campus/students/${info/sid}">
+                <span tal:content="string:${here/portal_url}/campus/students/${info/sid}" />  
+              </a></td>
+            </tr>                  
           </table>
+         <form tal:attributes="action string:${here/portal_url}/campus/students/${info/sid}/mail_password_form" method="post" class="group">
+            <input type="submit" class="context" value="Send Email with Authentication Data" />
+         </form> 
         </span>
         <span tal:condition="python: mode != 'view'" tal:omit-tag="">