Index: WAeUP_SRP/trunk/profiles/default/layouts/student_create.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_create.xml	(revision 1419)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_create.xml	(revision 1420)
@@ -69,10 +69,10 @@
  </widget>
  <widget name="matric_no" meta_type="String Widget">
-  <property name="title">Matric No</property>
+  <property name="title">Matriculation No</property>
   <property name="fields">
    <element value="matric_no"/>
   </property>
-  <property name="label">Matric No</property>
-  <property name="label_edit">Matric No</property>
+  <property name="label">Matriculation No</property>
+  <property name="label_edit">Matriculation No</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -106,10 +106,10 @@
  </widget>
  <widget name="study_course" meta_type="StudyCourse Widget">
-  <property name="title">Study Course</property>
+  <property name="title">Study Course Code</property>
   <property name="fields">
    <element value="study_course"/>
   </property>
-  <property name="label">Study Course</property>
-  <property name="label_edit">Study Course</property>
+  <property name="label">Study Course Code</property>
+  <property name="label_edit">Study Course Code</property>
   <property name="is_required">True</property>
   <property name="readonly_layout_modes"/>
Index: WAeUP_SRP/trunk/skins/waeup_student/add_student.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/add_student.py	(revision 1419)
+++ WAeUP_SRP/trunk/skins/waeup_student/add_student.py	(revision 1420)
@@ -34,5 +34,5 @@
                                  mode = mode,
                                  formaction = "add_student",
-                                 button = "add",
+                                 button = "Add",
                                  ds = ds,
                                  )
@@ -42,5 +42,5 @@
                                  mode = mode,
                                  formaction = "add_student",
-                                 button = "add",
+                                 button = "Add",
                                  ds = ds,
                                  )
@@ -57,5 +57,5 @@
                                  mode = mode,
                                  formaction = "add_student",
-                                 button = "add",
+                                 button = "Add",
                                  ds = ds,
                                  )
Index: WAeUP_SRP/trunk/skins/waeup_student/add_student_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/add_student_form.pt	(revision 1419)
+++ WAeUP_SRP/trunk/skins/waeup_student/add_student_form.pt	(revision 1420)
@@ -6,6 +6,5 @@
            formaction options/formaction|nothing;
            matric_no options/matric_no|nothing;
-           name options/name|nothing;
-           creation creation|nothing;"
+           name options/name|nothing;"
            >
   <metal:block define-macro="edit_form">
@@ -14,4 +13,6 @@
       </metal:block>
       <metal:block fill-slot="main">
+      <h3>Add Student Record!</h3>
+      <br />
         <span tal:condition="python: mode == 'view'" tal:omit-tag="">
           <table>
@@ -70,12 +71,5 @@
                  id="cpsdocument_edit_button"
                  tal:attributes="value options/button"
-                 tal:condition="not:creation" />
-          <input type="submit" 
-                 class="standalone" 
-                 name="cpsdocument_create_button"
-                 value="apply"
-                 tal:attributes="value options/button"
-                 tal:condition="creation" />
-          
+                 />
         </form>
         </span>
Index: WAeUP_SRP/trunk/skins/waeup_student/search_students_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/search_students_form.pt	(revision 1419)
+++ WAeUP_SRP/trunk/skins/waeup_student/search_students_form.pt	(revision 1420)
@@ -23,4 +23,6 @@
         &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
         <a href="list_students"><strong>Cleared Student Export</strong></a>
+        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+        <a href="add_student"><strong>Add Student Record</strong></a>        
       
         <h3> Search Student Section</h3><br />