Index: /WAeUP_SRP/trunk/WAeUPTool.py
===================================================================
--- /WAeUP_SRP/trunk/WAeUPTool.py	(revision 1425)
+++ /WAeUP_SRP/trunk/WAeUPTool.py	(revision 1426)
@@ -161,4 +161,5 @@
         email = dict.get('email')
         level = dict.get('level')
+        jamb_reg_no = dict.get('jamb_reg_no')
         study_course = dict.get('study_course')
         self.portal_workflow.doActionFor(student_obj,wfaction)
@@ -179,4 +180,5 @@
         dc['matric_no'] = matric_no
         da['app_email'] = dp['email'] = email
+        da['jamb_reg_no'] = jamb_reg_no
         dp['firstname'] = dict.get('firstname')
         dp['middlename'] = dict.get('middlename')
@@ -198,4 +200,5 @@
         catd['entry_mode']= entry_mode
         catd['email'] = email
+        catd['jamb_reg_no'] = jamb_reg_no
         catd['matric_no'] = matric_no
         catd['name'] = "%(firstname)s %(middlename)s %(lastname)s" % dp
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_create.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_create.xml	(revision 1425)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_create.xml	(revision 1426)
@@ -13,5 +13,5 @@
    <element value="email"/>
   </property>
-  <property name="is_required">True</property>
+  <property name="is_required">False</property>
   <property name="label">Email</property>
   <property name="label_edit">Email</property>
@@ -68,4 +68,16 @@
   <property name="vocabulary">courselevel</property>
  </widget>
+ <widget name="jamb_reg_no" meta_type="String Widget">
+  <property name="title">JAMB Registration No</property>
+  <property name="fields">
+   <element value="jamb_reg_no"/>
+  </property>
+  <property name="label">JAMB Registration No</property>
+  <property name="label_edit">JAMB Registration No</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">10</property>
+ </widget> 
  <widget name="matric_no" meta_type="String Widget">
   <property name="title">Matriculation No</property>
@@ -141,4 +153,7 @@
   </row>
   <row>
+   <cell name="jamb_reg_no"/>
+  </row>  
+  <row>
    <cell name="study_course"/>
   </row>
Index: /WAeUP_SRP/trunk/profiles/default/schemas/student_create.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/schemas/student_create.xml	(revision 1425)
+++ /WAeUP_SRP/trunk/profiles/default/schemas/student_create.xml	(revision 1426)
@@ -8,4 +8,5 @@
  <field name="level" meta_type="CPS String Field"/>
  <field name="matric_no" meta_type="CPS String Field"/>
+ <field name="jamb_reg_no" meta_type="CPS String Field"/> 
  <field name="middlename" meta_type="CPS String Field"/>
  <field name="sex" meta_type="CPS Boolean Field"/>
Index: /WAeUP_SRP/trunk/skins/waeup_accommodation/book_reserved_bed.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_accommodation/book_reserved_bed.py	(revision 1425)
+++ /WAeUP_SRP/trunk/skins/waeup_accommodation/book_reserved_bed.py	(revision 1426)
@@ -13,9 +13,9 @@
 acco_cat = context.portal_accommodation
 import logging
-logger = logging.getLogger('Accommodation')
+logger = logging.getLogger('Accommodation.BookReservedBed')
 
 mode = 'create'
 validate = REQUEST.has_key("cpsdocument_edit_button") and\
-           REQUEST.get("cpsdocument_edit_button").startswith('reserve')
+           REQUEST.get("cpsdocument_edit_button").startswith('Reserve')
 d = {}
 rendered,psm,ds = lt.renderLayout(layout_id= 'acco_bed_booking',
@@ -34,5 +34,5 @@
                                  mode = mode,
                                  formaction = "book_reserved_bed",
-                                 button = "reserve bed",
+                                 button = "Reserve Bed",
                                  ds = ds,
                                  )
@@ -42,5 +42,5 @@
                                  mode = mode,
                                  formaction = "book_reserved_bed",
-                                 button = "reserve bed",
+                                 button = "Reserve Bed",
                                  ds = ds,
                                  )
@@ -63,5 +63,5 @@
         break
     bed_brain = res[0]
-    already = acco_cat(student=sid) 
+    already = acco_cat(student=sid)
     if already:
         psm = "Student %s already reserved bed %s" % (sid, already[0].bed)
@@ -83,5 +83,5 @@
                                  ds = ds,
                                  formaction = "book_reserved_bed",
-                                 button = "reserve bed",
+                                 button = "Reserve Bed",
                                  )
 acco_cat.modifyRecord(bed = bid, student = sid)
@@ -91,5 +91,5 @@
                                  mode = mode,
                                  formaction = "book_reserved_bed",
-                                 button = "next reservation",
+                                 button = "Next Reservation",
                                  ds = ds,
                                  )
Index: /WAeUP_SRP/trunk/skins/waeup_student/add_student_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/add_student_form.pt	(revision 1425)
+++ /WAeUP_SRP/trunk/skins/waeup_student/add_student_form.pt	(revision 1426)
@@ -42,7 +42,11 @@
             </tr>        
             <tr>
-              <td>Matric No:</td>
+              <td>Matriculation No:</td>
               <td tal:content="student/matric_no" />
-            </tr>                
+            </tr>       
+            <tr>
+              <td>JAMB Registration No:</td>
+              <td tal:content="student/jamb_reg_no" />
+            </tr>                            
             <tr>
               <td>Study Course:</td>