Index: /WAeUP_SRP/trunk/doc/srp_documentation.mm
===================================================================
--- /WAeUP_SRP/trunk/doc/srp_documentation.mm	(revision 1429)
+++ /WAeUP_SRP/trunk/doc/srp_documentation.mm	(revision 1430)
@@ -1,43 +1,58 @@
-<map version="0.9.0_Beta_8">
+<map version="0.8.0">
 <!-- To view this file, download free mind mapping software FreeMind from http://freemind.sourceforge.net -->
-<node CREATED="1170079518946" ID="Freemind_Link_650524897" MODIFIED="1170079543007" TEXT="WAeUP Documentation">
+<node CREATED="1170079518946" ID="Freemind_Link_650524897" MODIFIED="1171711313968" TEXT="WAeUP SRP Architecture">
+<node CREATED="1171711725971" FOLDED="true" ID="Freemind_Link_716743966" MODIFIED="1171711849759" POSITION="right" TEXT="Directories">
+<node CREATED="1171711958926" ID="Freemind_Link_799041044" MODIFIED="1171711970903" TEXT="Id: portal_directories"/>
+<node CREATED="1171711971274" ID="Freemind_Link_1378447478" MODIFIED="1171712308118" TEXT="Members"/>
+<node CREATED="1171711995008" ID="Freemind_Link_861199985" MODIFIED="1171712311913" TEXT="Students"/>
+<node CREATED="1171711999584" ID="Freemind_Link_1070634598" MODIFIED="1171712315178" TEXT="Groups"/>
+</node>
 <node CREATED="1170079621592" ID="Freemind_Link_1297017754" MODIFIED="1170079640872" POSITION="right" TEXT="Campus">
-<node CREATED="1170079643589" FOLDED="true" ID="Freemind_Link_1231068129" MODIFIED="1170080364243" TEXT="Academics">
-<node CREATED="1170080366716" FOLDED="true" ID="Freemind_Link_415048819" MODIFIED="1170082092260" TEXT="n * Faculty">
+<node CREATED="1171710559043" ID="Freemind_Link_1592396213" MODIFIED="1171710565212" TEXT="Id: campus"/>
+<node CREATED="1170079643589" ID="Freemind_Link_1231068129" MODIFIED="1171710686426" TEXT="Academic Section">
+<node CREATED="1171710577379" ID="Freemind_Link_1444831124" MODIFIED="1171710589887" TEXT="Id: academics"/>
+<node CREATED="1170080366716" ID="Freemind_Link_415048819" MODIFIED="1171709591652" TEXT="{Faculties}">
 <node CREATED="1171114205479" ID="Freemind_Link_777914383" LINK="../profiles/default/types/Faculty.xml" MODIFIED="1171114273018" TEXT="Type: Faculty"/>
 <node CREATED="1171124926993" ID="Freemind_Link_1995598127" LINK="../profiles/default/schemas/faculty.xml" MODIFIED="1171124974083" TEXT="Schema: faculty"/>
 <node CREATED="1171124982312" ID="Freemind_Link_875514191" LINK="../profiles/default/layouts/faculty.xml" MODIFIED="1171125747539" TEXT="Layout: faculty"/>
-<node CREATED="1170080406892" ID="Freemind_Link_1983042340" MODIFIED="1170082108154" TEXT="n * Department">
+<node CREATED="1170080406892" ID="Freemind_Link_1983042340" MODIFIED="1171709620984" TEXT="{Departments}">
 <node CREATED="1171125049973" ID="Freemind_Link_734335561" LINK="../profiles/default/types/Department.xml" MODIFIED="1171125103478" TEXT="Type: Department"/>
 <node CREATED="1171125108968" ID="Freemind_Link_553285905" LINK="../profiles/default/schemas/department.xml" MODIFIED="1171125232838" TEXT="Schema: department"/>
 <node CREATED="1171125727127" ID="Freemind_Link_481382280" LINK="../profiles/default/layouts/department.xml" MODIFIED="1171125762591" TEXT="Layout: department"/>
-<node CREATED="1170080420252" ID="Freemind_Link_290613406" MODIFIED="1170080430310" TEXT="Courses">
+<node CREATED="1170080420252" ID="Freemind_Link_290613406" MODIFIED="1171710340659" TEXT="Courses">
+<node CREATED="1171710086403" ID="Freemind_Link_241779697" MODIFIED="1171710094365" TEXT="Type: CoursesFolder"/>
+<node CREATED="1171710355390" ID="Freemind_Link_118311151" MODIFIED="1171710361439" TEXT="Id: courses"/>
+<node CREATED="1171710129425" ID="Freemind_Link_768683630" MODIFIED="1171710143816" TEXT="{Courses}">
 <node CREATED="1171125278776" ID="Freemind_Link_271340691" LINK="../profiles/default/types/Course.xml" MODIFIED="1171125499635" TEXT="Type: Course"/>
 <node CREATED="1171125294516" ID="Freemind_Link_1380275634" LINK="../profiles/default/schemas/course.xml" MODIFIED="1171125322984" TEXT="Schema: course"/>
 <node CREATED="1171125766553" ID="Freemind_Link_851403429" LINK="../profiles/default/layouts/course.xml" MODIFIED="1171125799374" TEXT="Layout: course"/>
-<node CREATED="1170080681623" ID="Freemind_Link_1844145495" MODIFIED="1170082079531" TEXT="n * Course"/>
+</node>
 </node>
 <node CREATED="1170080432978" ID="Freemind_Link_562751" MODIFIED="1170080631195" TEXT="Certificates">
+<node CREATED="1171710395037" ID="Freemind_Link_404484787" MODIFIED="1171710414836" TEXT="Type: CertificatesFolder"/>
+<node CREATED="1171710418961" ID="Freemind_Link_1593662067" MODIFIED="1171710429717" TEXT="Id: certificates"/>
+<node CREATED="1171710430588" ID="Freemind_Link_749193871" MODIFIED="1171710447703" TEXT="{Certificates}">
 <node CREATED="1171125332417" ID="Freemind_Link_1282410878" LINK="../profiles/default/types/Certificate.xml" MODIFIED="1171125518275" TEXT="Type: Certificate"/>
 <node CREATED="1171125354169" ID="Freemind_Link_417952670" LINK="../profiles/default/schemas/course.xml" MODIFIED="1171125878924" TEXT="Schema: certificate"/>
 <node CREATED="1171125803606" ID="Freemind_Link_1875982916" LINK="../profiles/default/layouts/certificate.xml" MODIFIED="1171125868907" TEXT="Layout: certificate"/>
-<node CREATED="1170081994373" ID="Freemind_Link_1992572963" MODIFIED="1170082060444" TEXT="n * Certificate">
+<node CREATED="1171710490564" ID="Freemind_Link_843869909" MODIFIED="1171710864122" TEXT="{CertificateCourses}">
 <node CREATED="1171125386330" ID="Freemind_Link_107526608" LINK="../profiles/default/types/CertificateCourse.xml" MODIFIED="1171125541376" TEXT="Type: CertificateCourse"/>
 <node CREATED="1171125407620" ID="Freemind_Link_536311369" LINK="../profiles/default/schemas/certificate_course.xml" MODIFIED="1171125455457" TEXT="Schema: certificate_course"/>
 <node CREATED="1171126119984" ID="Freemind_Link_1217942566" LINK="../profiles/default/layouts/certificate_course.xml" MODIFIED="1171126156808" TEXT="Layout: certificate_course"/>
-<node CREATED="1170082012423" ID="Freemind_Link_1019857844" MODIFIED="1170082043332" TEXT="n * CertificateCourse"/>
 </node>
 </node>
 </node>
 </node>
-<node CREATED="1171014630747" ID="Freemind_Link_21788009" MODIFIED="1171014635284" TEXT="Imports"/>
 </node>
-<node CREATED="1170082138244" FOLDED="true" ID="Freemind_Link_1354366927" MODIFIED="1170082146391" TEXT="Students">
-<node CREATED="1170082147831" FOLDED="true" ID="Freemind_Link_115332414" MODIFIED="1170082160733" TEXT="n * Student">
+</node>
+<node CREATED="1170082138244" ID="Freemind_Link_1354366927" MODIFIED="1171710679266" TEXT="Student Section">
+<node CREATED="1171709784119" ID="_" MODIFIED="1171709937449" TEXT="Type: StudentsFolder" VSHIFT="104"/>
+<node CREATED="1171710545564" ID="Freemind_Link_221165828" MODIFIED="1171710551332" TEXT="Id: students"/>
+<node CREATED="1170082147831" ID="Freemind_Link_115332414" MODIFIED="1171709774415" TEXT="{Student}">
 <node CREATED="1171114205479" ID="Freemind_Link_1051911128" LINK="../profiles/default/types/Student.xml" MODIFIED="1171353141707" TEXT="Type: Student"/>
 <node CREATED="1171124926993" ID="Freemind_Link_1838352082" LINK="../profiles/default/schemas/student.xml" MODIFIED="1171353152905" TEXT="Schema: student"/>
 <node CREATED="1171124982312" ID="Freemind_Link_1037588671" LINK="../profiles/default/layouts/student.xml" MODIFIED="1171353165422" TEXT="Layout: student"/>
 <node CREATED="1171353188624" ID="Freemind_Link_1032185087" LINK="../profiles/default/workflows/waeup_student_wf/definition.xml" MODIFIED="1171353319663" TEXT="Workflow: waeup_student_wf"/>
-<node CREATED="1170082164451" ID="Freemind_Link_1627718074" MODIFIED="1170082180091" TEXT="Application">
+<node CREATED="1170082164451" ID="Freemind_Link_1627718074" MODIFIED="1171711160327" TEXT="Application Data">
 <node CREATED="1170083733194" ID="Freemind_Link_1398132513" MODIFIED="1170862024807" TEXT="Id: application"/>
 <node CREATED="1170083603042" ID="Freemind_Link_4951906" LINK="../profiles/default/types/StudentApplication.xml" MODIFIED="1171009517689" TEXT="Type: StudentApplication"/>
@@ -47,32 +62,43 @@
 </node>
 </node>
-<node CREATED="1170082180802" FOLDED="true" ID="Freemind_Link_812719734" MODIFIED="1170082187858" TEXT="Clearance">
+<node CREATED="1170082180802" ID="Freemind_Link_812719734" MODIFIED="1171711167338" TEXT="Clearance Data">
 <node CREATED="1170083733194" ID="Freemind_Link_1823044370" MODIFIED="1170862044390" TEXT="Id: clearance"/>
 <node CREATED="1170083603042" ID="Freemind_Link_1641808385" LINK="../profiles/default/types/StudentClearance.xml" MODIFIED="1171009882288" TEXT="Type: StudentClearance"/>
 <node CREATED="1170083649773" ID="Freemind_Link_1281565507" LINK="../profiles/default/schemas/student_clearance.xml" MODIFIED="1170958977813" TEXT="Schema: student_clearance"/>
 </node>
-<node CREATED="1170082180802" FOLDED="true" ID="Freemind_Link_634523864" MODIFIED="1170862191693" TEXT="Personal">
+<node CREATED="1170082180802" FOLDED="true" ID="Freemind_Link_634523864" MODIFIED="1171711172044" TEXT="Personal Data">
 <node CREATED="1170083733194" ID="Freemind_Link_1809756717" MODIFIED="1170862205697" TEXT="Id: personal"/>
 <node CREATED="1170083603042" ID="Freemind_Link_212388289" LINK="../profiles/default/types/StudentPersonal.xml" MODIFIED="1171010050967" TEXT="Type: StudentPersonal"/>
 <node CREATED="1170083649773" ID="Freemind_Link_329050457" LINK="../profiles/default/schemas/student_personal.xml" MODIFIED="1170959011444" TEXT="Schema: student_personal"/>
 </node>
-<node CREATED="1170082392807" ID="Freemind_Link_1979443941" MODIFIED="1170862215735" TEXT="StudyCourse">
+<node CREATED="1170082392807" ID="Freemind_Link_1979443941" MODIFIED="1171711179966" TEXT="Study Course">
 <node CREATED="1170930140692" ID="Freemind_Link_607082969" MODIFIED="1171009488850" TEXT="Id: study_course"/>
 <node CREATED="1170930264337" ID="Freemind_Link_1384807180" LINK="../profiles/default/types/StudentStudyCourse.xml" MODIFIED="1171009934935" TEXT="Type: StudentStudyCourse"/>
 <node CREATED="1170930285073" ID="Freemind_Link_1989199190" LINK="../profiles/default/schemas/student_study_course.xml" MODIFIED="1171016022394" TEXT="Schema: student_study_course"/>
 <node CREATED="1171015856280" ID="Freemind_Link_86536977" LINK="../profiles/default/layouts/student_study_course.xml" MODIFIED="1171016046195" TEXT="Layout: student_study_course"/>
-<node CREATED="1170082404788" FOLDED="true" ID="Freemind_Link_1932365066" MODIFIED="1170082416832" TEXT="n * Level">
-<node CREATED="1170082419140" ID="Freemind_Link_1356993815" MODIFIED="1170082470528" TEXT="n * CourseResult"/>
+<node CREATED="1170082404788" ID="Freemind_Link_1932365066" MODIFIED="1171711217079" TEXT="{StudentStudyLevels}">
+<node CREATED="1171711225441" ID="Freemind_Link_1643185567" MODIFIED="1171711235025" TEXT="Type: StudentStudyLevel"/>
+<node CREATED="1171711252019" ID="Freemind_Link_1974988388" MODIFIED="1171711274712" TEXT="Schema: student_study_level"/>
+<node CREATED="1171711275042" ID="Freemind_Link_744562017" MODIFIED="1171711278918" TEXT="Layout: student_study_level"/>
+<node CREATED="1170082419140" ID="Freemind_Link_1356993815" MODIFIED="1171711249205" TEXT="{CourseResults}">
+<node CREATED="1171711590937" ID="Freemind_Link_519794554" MODIFIED="1171711604937" TEXT="Type: StudentCourseResult"/>
+<node CREATED="1171711647027" ID="Freemind_Link_1880871196" MODIFIED="1171711660326" TEXT="Schema: student_course_result"/>
+<node CREATED="1171711617014" ID="Freemind_Link_797419415" MODIFIED="1171711642651" TEXT="Layout: student_course_result"/>
 </node>
 </node>
-<node CREATED="1170082200667" FOLDED="true" ID="Freemind_Link_140160478" MODIFIED="1170082364784" TEXT="Payments">
+</node>
+<node CREATED="1170082200667" ID="Freemind_Link_140160478" MODIFIED="1170082364784" TEXT="Payments">
+<node CREATED="1171711430276" ID="Freemind_Link_86727434" MODIFIED="1171711435834" TEXT="Id: payments"/>
+<node CREATED="1171711367726" ID="Freemind_Link_1873791240" MODIFIED="1171711381666" TEXT="Type: PaymentsFolder"/>
+<node CREATED="1170082366149" ID="Freemind_Link_1718065298" MODIFIED="1171711406291" TEXT="{Payments}">
+<node CREATED="1171711413572" ID="Freemind_Link_116328775" MODIFIED="1171711419660" TEXT="Type: Payment"/>
 <node CREATED="1170883263996" ID="Freemind_Link_39098989" LINK="../profiles/default/schemas/payment.xml" MODIFIED="1170959080069" TEXT="Schema: payment"/>
-<node CREATED="1170082366149" ID="Freemind_Link_1718065298" MODIFIED="1170082387769" TEXT="n * Payment"/>
+<node CREATED="1171711449483" ID="Freemind_Link_165499016" MODIFIED="1171711455191" TEXT="Layout: payment"/>
 </node>
 </node>
-<node CREATED="1171014603296" ID="Freemind_Link_592162547" MODIFIED="1171014611096" TEXT="Imports"/>
-<node CREATED="1171379675232" FOLDED="true" ID="Freemind_Link_41196870" MODIFIED="1171379685192" TEXT="Userinterface">
-<node CREATED="1171379691280" FOLDED="true" ID="Freemind_Link_24219" MODIFIED="1171379703554" TEXT="Officers">
-<node CREATED="1171379710053" FOLDED="true" ID="Freemind_Link_1668598079" MODIFIED="1171379734695" TEXT="add_student">
+</node>
+<node CREATED="1171379675232" ID="Freemind_Link_41196870" MODIFIED="1171379685192" TEXT="Userinterface">
+<node CREATED="1171379691280" ID="Freemind_Link_24219" MODIFIED="1171379703554" TEXT="Officers">
+<node CREATED="1171379710053" ID="Freemind_Link_1668598079" MODIFIED="1171379734695" TEXT="add_student">
 <node CREATED="1171379737777" ID="Freemind_Link_490783588" MODIFIED="1171379757546" TEXT="Script: add_student"/>
 <node CREATED="1171362924343" ID="Freemind_Link_1507034557" LINK="../skins/waeup_accommodation/student_create_form.pt" MODIFIED="1171382378983" TEXT="PT: student_create_form"/>
@@ -83,7 +109,8 @@
 </node>
 </node>
-<node CREATED="1170082502675" FOLDED="true" ID="Freemind_Link_1051871348" MODIFIED="1170082511430" TEXT="Accommodation">
+<node CREATED="1170082502675" ID="Freemind_Link_1051871348" MODIFIED="1171710707226" TEXT="Accommodation Section">
+<node CREATED="1171710631948" ID="Freemind_Link_161316738" MODIFIED="1171710638848" TEXT="Id: accommodation"/>
 <node CREATED="1171114205479" ID="Freemind_Link_685193459" LINK="../profiles/default/types/AccoFolder.xml" MODIFIED="1171360542032" TEXT="Type: AccoFolder"/>
-<node CREATED="1170082513362" FOLDED="true" ID="Freemind_Link_579142716" MODIFIED="1170082530016" TEXT="n * Hall">
+<node CREATED="1170082513362" ID="Freemind_Link_579142716" MODIFIED="1171710738261" TEXT="{Halls}">
 <node CREATED="1171114205479" ID="Freemind_Link_913388948" LINK="../profiles/default/types/AccoHall.xml" MODIFIED="1171360892599" TEXT="Type: AccoHall"/>
 <node CREATED="1171124926993" ID="Freemind_Link_108322260" LINK="../profiles/default/schemas/acco_hall.xml" MODIFIED="1171361085015" TEXT="Schema: acco_hall"/>
@@ -98,5 +125,5 @@
 </node>
 </node>
-<node CREATED="1171381167605" FOLDED="true" ID="Freemind_Link_370176221" MODIFIED="1171381186185" TEXT="User Interface">
+<node CREATED="1171381167605" ID="Freemind_Link_370176221" MODIFIED="1171381186185" TEXT="User Interface">
 <node CREATED="1171381191363" ID="Freemind_Link_1384539281" MODIFIED="1171381247729" TEXT="Student">
 <node CREATED="1171362489012" FOLDED="true" ID="Freemind_Link_875925244" MODIFIED="1171376833636" TEXT="reserve_accommodation">
@@ -110,12 +137,23 @@
 </node>
 </node>
-<node CREATED="1170082542534" FOLDED="true" ID="Freemind_Link_243354429" MODIFIED="1170082550976" TEXT="Pins">
-<node CREATED="1170082553111" ID="Freemind_Link_1225342224" MODIFIED="1170082566118" TEXT="n * Batch"/>
-</node>
-<node CREATED="1170931308473" FOLDED="true" ID="Freemind_Link_249696543" MODIFIED="1170931315740" TEXT="Catalogs">
-<node CREATED="1170931319920" ID="Freemind_Link_1633117071" MODIFIED="1170931337246" TEXT="portal_catalog"/>
-<node CREATED="1170931338501" ID="Freemind_Link_80471593" LINK="../profiles/default/students_catalog.xml" MODIFIED="1170959145493" TEXT="students_catalog"/>
+<node CREATED="1170082542534" ID="Freemind_Link_243354429" MODIFIED="1171710670383" TEXT="Pin Section">
+<node CREATED="1171710956294" ID="Freemind_Link_1564638284" MODIFIED="1171710960600" TEXT="Type: ScratchCardBatchesFolder"/>
+<node CREATED="1171710648131" ID="Freemind_Link_1115846656" MODIFIED="1171710654941" TEXT="Id: pins"/>
+<node CREATED="1170082553111" ID="Freemind_Link_1225342224" MODIFIED="1171710994940" TEXT="{ScratchCardBatches}">
+<node CREATED="1171711021738" ID="Freemind_Link_1373462759" MODIFIED="1171711030451" TEXT="Type: ScratchCardBatch"/>
+<node CREATED="1171711043239" ID="Freemind_Link_215893748" MODIFIED="1171711075966" TEXT="Schema: scratch_card_batch"/>
+<node CREATED="1171711076978" ID="Freemind_Link_1234518938" MODIFIED="1171711086892" TEXT="Layout: scratch_card_batch"/>
 </node>
 </node>
 </node>
+<node CREATED="1170931308473" FOLDED="true" ID="Freemind_Link_249696543" MODIFIED="1170931315740" POSITION="right" TEXT="Catalogs">
+<node CREATED="1170931319920" ID="Freemind_Link_1633117071" MODIFIED="1171712108641" TEXT="Portal Catalog"/>
+<node CREATED="1171712109062" ID="Freemind_Link_879910437" MODIFIED="1171712115972" TEXT="Students Catalog"/>
+<node CREATED="1171712063356" ID="Freemind_Link_1865945880" MODIFIED="1171712127578" TEXT="Returning Import Table"/>
+<node CREATED="1171712077046" ID="Freemind_Link_1703381403" MODIFIED="1171712189618" TEXT="Session Results Import Table"/>
+<node CREATED="1171712082483" ID="Freemind_Link_1157029282" MODIFIED="1171712136892" TEXT="Accommodation Table"/>
+<node CREATED="1171712137653" ID="Freemind_Link_371928033" MODIFIED="1171712198440" TEXT="Pins Table"/>
+<node CREATED="1171712154817" ID="Freemind_Link_1307066201" MODIFIED="1171712169348" TEXT="PUME/PDE Resuts Table"/>
+</node>
+</node>
 </map>