Index: WAeUP_SRP/trunk/exportimport.py
===================================================================
--- WAeUP_SRP/trunk/exportimport.py	(revision 1431)
+++ WAeUP_SRP/trunk/exportimport.py	(revision 1432)
@@ -80,10 +80,10 @@
         accommodation = getattr(campus,'accommodation',None)
         campus.manage_setLocalGroupRoles(groupid='CampusOfficers',
-                                         roles=('SectionOfficer',))        
+                                         roles=('SectionOfficer',))
         if academics is not None:
             academics.manage_setLocalGroupRoles(groupid='role:Authenticated',
                                          roles=('SectionReader',))
             academics.manage_setLocalGroupRoles(groupid='AcademicsOfficers',
-                                         roles=('SectionOfficer',))                                          
+                                         roles=('SectionOfficer',))
         if students is not None:
             students.manage_setLocalGroupRoles(groupid = 'ClearanceOfficers',
@@ -92,5 +92,5 @@
                                          roles=('SectionOfficer',))
             students.manage_setLocalGroupRoles(groupid='StudentsOfficers',
-                                         roles=('SectionOfficer',))                                         
+                                         roles=('SectionOfficer',))
             students.manage_setLocalGroupRoles(groupid = 'role:Student',
                                               roles=('SectionReader',))
@@ -99,9 +99,13 @@
                                          roles=('SectionReader',))
             accommodation.manage_setLocalGroupRoles(groupid='AccommodationOfficers',
-                                         roles=('SectionOfficer',))                                         
+                                         roles=('SectionOfficer',))
     members = getattr(site.portal_directories,'members')
     if members is not None:
         members.manage_setLocalGroupRoles(groupid='MemberAdmins',
                                          roles=('SectionOfficer',))
+    students = getattr(site.portal_directories,'students')
+    if students is not None:
+        students.manage_setLocalGroupRoles(groupid='MemberAdmins',
+                                         roles=('SectionOfficer',))                                         
 
 ##    pm.setLocalGroupRoles(campus.academics,['role:Authenticated',
Index: WAeUP_SRP/trunk/profiles/default/directories/students.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/directories/students.xml	(revision 1431)
+++ WAeUP_SRP/trunk/profiles/default/directories/students.xml	(revision 1432)
@@ -6,11 +6,11 @@
  <property name="layout">members</property>
  <property name="layout_search">members_search</property>
- <property name="acl_directory_view_roles">Manager; Member</property>
- <property name="acl_entry_create_roles">Manager</property>
- <property name="acl_entry_delete_roles">Manager</property>
+ <property name="acl_directory_view_roles">SectionOfficer; Manager; Member</property>
+ <property name="acl_entry_create_roles">SectionOfficer; Manager</property>
+ <property name="acl_entry_delete_roles">SectionOfficer; Manager</property>
  <!-- switch back to Owner instead of Member once searchEntries will be
       able to check ACLs -->
- <property name="acl_entry_view_roles">Manager; Member</property>
- <property name="acl_entry_edit_roles">Manager; Owner</property>
+ <property name="acl_entry_view_roles">SectionOfficer; Manager; Member</property>
+ <property name="acl_entry_edit_roles">SectionOfficer; Manager; Owner</property>
  <property name="id_field">id</property>
  <property name="search_substring_fields">
Index: WAeUP_SRP/trunk/profiles/default/directories/waeup_stacking_dir.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/directories/waeup_stacking_dir.xml	(revision 1431)
+++ WAeUP_SRP/trunk/profiles/default/directories/waeup_stacking_dir.xml	(revision 1432)
@@ -10,9 +10,9 @@
  <property name="layout">members</property>
  <property name="layout_search">members_search</property>
- <property name="acl_directory_view_roles">Manager</property>
- <property name="acl_entry_create_roles">Manager</property>
- <property name="acl_entry_delete_roles">Manager</property>
- <property name="acl_entry_view_roles">Manager</property>
- <property name="acl_entry_edit_roles">Manager</property>
+ <property name="acl_directory_view_roles">SectionOfficer; Manager</property>
+ <property name="acl_entry_create_roles">SectionOfficer; Manager</property>
+ <property name="acl_entry_delete_roles">SectionOfficer; Manager</property>
+ <property name="acl_entry_view_roles">SectionOfficer; Manager</property>
+ <property name="acl_entry_edit_roles">SectionOfficer; Manager</property>
  <property name="id_field">id</property>
  <property name="title_field">fullname</property>
Index: WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/definition.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/definition.xml	(revision 1431)
+++ WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/definition.xml	(revision 1432)
@@ -263,4 +263,5 @@
    <guard-role>Manager</guard-role>
    <guard-role>SectionManager</guard-role>
+   <guard-role>SectionOfficer</guard-role>
   </guard>
   <transition-behavior behavior_id="allow-sub-create"/>