Index: /WAeUP_SRP/trunk/profiles/default/vocabularies/verdicts.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/vocabularies/verdicts.xml	(revision 1433)
+++ /WAeUP_SRP/trunk/profiles/default/vocabularies/verdicts.xml	(revision 1434)
@@ -6,15 +6,15 @@
  <property name="description"></property>
  <property name="acl_write_roles">Manager</property>
- <item key="A" msgid="">Successful Student</item>
- <item key="B" msgid="">Student WITH CARRYOVER COURSES</item>
- <item key="C" msgid="">Student for Probation</item>
- <item key="C" msgid="">Student on Probation/Transfer</item>
- <item key="D" msgid="">Student who is to withdraw from the Faculty</item>
- <item key="E" msgid="">Student who were previously on Probation</item>
- <item key="F" msgid="">medical Cases</item>
- <item key="G" msgid="">absent from Examination</item>
- <item key="H" msgid="">withheld Results</item>
- <item key="I" msgid="">expelled/rusticated/suspended Student</item>
- <item key="J" msgid="">temporary withdrawal from the University</item>
- <item key="K" msgid="">unregistered Student</item>
+ <item key="A" msgid="">successful student</item>
+ <item key="B" msgid="">student with carryover courses</item>
+ <item key="C" msgid="">student for probation</item>
+ <item key="C" msgid="">student on probation/transfer</item>
+ <item key="D" msgid="">student who is to withdraw from the faculty</item>
+ <item key="E" msgid="">student who were previously on probation</item>
+ <item key="F" msgid="">medical case</item>
+ <item key="G" msgid="">absent from examination</item>
+ <item key="H" msgid="">withheld results</item>
+ <item key="I" msgid="">expelled/rusticated/suspended student</item>
+ <item key="J" msgid="">temporary withdrawn from the university</item>
+ <item key="K" msgid="">unregistered student</item>
 </object>
Index: /WAeUP_SRP/trunk/skins/waeup_academics/getCoursesCertificatesInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/getCoursesCertificatesInfo.py	(revision 1433)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/getCoursesCertificatesInfo.py	(revision 1434)
@@ -24,15 +24,15 @@
 cp = brain.getPath()
 info['container_path'] = cp
-res = context.portal_catalog(container_path="%s/courses" % cp)
-items = []
-for r in res:
-    row = {}
-    ro = r.getObject()
-    rd = ro.getContent()
-    row['id'] = r.getId
-    row['title'] = rd.Title()
-    row['url'] = ro.absolute_url()
-    items.append(row)
-info['courses'] = items
+#res = context.portal_catalog(container_path="%s/courses" % cp)
+#items = []
+#for r in res:
+#    row = {}
+#    ro = r.getObject()
+#    rd = ro.getContent()
+#    row['id'] = r.getId
+#    row['title'] = rd.Title()
+#    row['url'] = ro.absolute_url()
+#    items.append(row)
+#info['courses'] = items
 res = context.portal_catalog(container_path="%s/certificates" % cp)
 items = []
@@ -47,2 +47,3 @@
 info['certificates'] = items
 return info
+
Index: /WAeUP_SRP/trunk/skins/waeup_utilities/fixLevelFromResults.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_utilities/fixLevelFromResults.py	(revision 1433)
+++ /WAeUP_SRP/trunk/skins/waeup_utilities/fixLevelFromResults.py	(revision 1434)
@@ -39,5 +39,4 @@
 line_count = 0
 lines = []
-#from Products.zdb import set_trace;set_trace()
 res = scat()
 for sbrain in res:
@@ -48,5 +47,4 @@
     erg = context.results_import(matric_no=sbrain.matric_no)
     if erg and erg[0].Level:
-        #lc = "N"
         level_res = erg[0].Level
         everdict = erg[0].Verdict
@@ -54,13 +52,11 @@
         #if level_cc == 0:
             #lc = "-"
-        #if "%d00" % level_cc != level_res:
         lc = 100*level_cc - int(level_res)
         verdict,elegible = context.getVerdict(everdict)
         if elegible:
-            #lc = "S"
             level = "%d00" % (level_cc + 1)
-        #context.students_catalog.modifyRecord(id = sbrain.id,
-        #                                      level="",
-        #                                      verdict = "")
+        context.students_catalog.modifyRecord(id = sbrain.id,
+                                              level="",
+                                              verdict = "")
         while True:
             student = getattr(students,sbrain.id,None)
@@ -72,13 +68,12 @@
             if study_course is None:
                 break
-            #study_course.getContent().edit(mapping = {'current_level':level,
-            #                                          'current_verdict':verdict})
-            #context.students_catalog.modifyRecord(id = sbrain.id,
-            #                                      level=level,
-            #                                      verdict=verdict)
+            study_course.getContent().edit(mapping = {'current_level':level,
+                                                      'current_verdict':verdict})
+            context.students_catalog.modifyRecord(id = sbrain.id,
+                                                  level=level,
+                                                  verdict=verdict)
             ec = "reg"
             break
 
-        #rwrite(ec +"--"+ sbrain.id +"--"+ sbrain.matric_no +"--"+ old_level +"--"+ level +"<br />")
         s = '"%s","%s","%s","%s","%s","%s","%s","%s"' % (str(lc),ec,
                                                            sbrain.id,
@@ -90,5 +85,4 @@
         #lines.append(s)
     else:
-        #rwrite(ec +"--"+ sbrain.id +"--"+ sbrain.matric_no + "<br />")
         s = '"","%s","%s","%s","",""' % (ec,sbrain.id,sbrain.matric_no)
         #lines.append(s)