Index: WAeUP_SRP/trunk/skins/waeup_student/getApplicationInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getApplicationInfo.py	(revision 1431)
+++ WAeUP_SRP/trunk/skins/waeup_student/getApplicationInfo.py	(revision 1435)
@@ -43,3 +43,4 @@
 info['app'] = student.application
 info['app_doc'] = student.application.getContent()
+#info['name'] = context.getStudentName()
 return info
Index: WAeUP_SRP/trunk/skins/waeup_student/getStudyCourseInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getStudyCourseInfo.py	(revision 1431)
+++ WAeUP_SRP/trunk/skins/waeup_student/getStudyCourseInfo.py	(revision 1435)
@@ -45,20 +45,21 @@
 current_level = sbrain.level
 levels = context.objectIds()
+context.portal_workflow.doActionFor(context,'close_for_edit')
+
 #levels.sort()
 #if int(current_level) > int(levels[-1]):
-if not levels:
-    context.invokeFactory('StudentStudyLevel',"%s" % current_level)
-    level = getattr(context,"%s" % current_level)
-    level.getContent().edit(mapping={'session': "2006/2007"})
-    context.portal_workflow.doActionFor(level,'open')
-    context.portal_workflow.doActionFor(level,'close_for_edit')
-    levels.append(current_level)
-#from Products.zdb import set_trace;set_trace()
-for l in levels:
-    row = {}
-    row['id'] = l
-    row['title'] = "Level %s" % l
-    row['url'] = "%s/%s" % (context.absolute_url(),l)
-    items.append(row)
+#if not levels:
+#    context.invokeFactory('StudentStudyLevel',"%s" % current_level)	
+#    level = getattr(context,"%s" % current_level)
+#    level.getContent().edit(mapping={'session': "2006/2007"})
+#    context.portal_workflow.doActionFor(level,'open')
+#    context.portal_workflow.doActionFor(level,'close_for_edit')
+#    levels.append(current_level)
+#for l in levels:
+#    row = {}
+#    row['id'] = l
+#    row['title'] = "Level %s" % l
+#    row['url'] = "%s/%s" % (context.absolute_url(),l)
+#    items.append(row)
 
 info['items'] = items
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_application_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_application_view.pt	(revision 1431)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_application_view.pt	(revision 1435)
@@ -9,14 +9,26 @@
                                  'app_ac_date',
                                  'app_email',
-                                 'app_mobile',
-                                 'jamb_lastname',
-                                 'jamb_sex',)"
+                                 'app_mobile',)"
                                  >
   <table cellpadding="2" cellspacing="2" summary="layout">
     <tr>
+      <td valign="top"><span class="dlabel">Name</span>:
+      </td>
+      <td> 
+        <span tal:content="python:context.getStudentBaseInfo()['student']['name']" />
+      </td>      
+    </tr>
+    <tr>
+      <td valign="top"><span class="dlabel">Sex</span>:
+      </td>
+      <td> 
+        <span tal:content="python:context.getStudentBaseInfo()['student']['sex']" />
+      </td>      
+    </tr>          
+    <tr valign="top">
       <td><span class="dlabel">Student ID</span>:
       </td>
       <td> 
-         <span tal:replace="python:here.aq_parent.aq_parent.id" />
+        <span tal:content="python:context.getStudentBaseInfo()['id']" />
       </td>      
     </tr>
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_info.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_info.pt	(revision 1431)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_info.pt	(revision 1435)
@@ -5,5 +5,5 @@
               dm options/datastructure/getDataModel;
               widgets python:context.getRenderedWidgets(layout);
-              fields python:('jamb_reg_no','jamb_lastname','jamb_sex','app_email','app_mobile')"
+              fields python:('jamb_reg_no','app_email','app_mobile')"
               >
   
@@ -17,10 +17,25 @@
       <table width="" cellpadding="2" cellspacing="0" summary="Form layout">
         <tr>
-          <td width="180px"><span class="dlabel">Student ID</span>:
+          <td valign="top" width="180px"><span class="dlabel">Name</span>:
           </td>
           <td> 
-            <span tal:replace="python:here.aq_parent.aq_parent.id" />
+            <span tal:content="python:context.getStudentBaseInfo()['student']['name']" />
           </td>      
         </tr>
+        <tr>
+          <td valign="top" width="180px"><span class="dlabel">Sex</span>:
+          </td>
+          <td> 
+            <span tal:content="python:context.getStudentBaseInfo()['student']['sex']" />
+          </td>      
+        </tr>          
+        <tr valign="top">
+          <td><span class="dlabel">Student ID</span>:
+          </td>
+          <td> 
+            <span tal:content="python:context.getStudentBaseInfo()['id']" />
+          </td>      
+        </tr>
+
         <tr tal:repeat="field fields">
           <tal:block tal:define="cell python: widgets[field]">
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_slip.pt	(revision 1431)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_slip.pt	(revision 1435)
@@ -10,6 +10,4 @@
                                  'app_email',
                                  'app_mobile',
-                                 'jamb_lastname',
-                                 'jamb_sex',
                                  'entry_mode',
                                  'jamb_state',
@@ -28,8 +26,22 @@
         <table width="" cellpadding="2" cellspacing="0" summary="Form layout">
           <tr>
+            <td valign="top"><span class="dlabel">Name</span>:
+            </td>
+            <td> 
+              <span tal:content="python:context.getStudentBaseInfo()['student']['name']" />
+            </td>      
+          </tr>
+          <tr>
+            <td valign="top"><span class="dlabel">Sex</span>:
+            </td>
+            <td> 
+              <span tal:content="python:context.getStudentBaseInfo()['student']['sex']" />
+            </td>      
+          </tr>          
+          <tr valign="top">
             <td><span class="dlabel">Student ID</span>:
             </td>
             <td> 
-              <span tal:replace="python:here.aq_parent.aq_parent.id" />
+              <span tal:content="python:context.getStudentBaseInfo()['id']" />
             </td>      
           </tr>
@@ -40,10 +52,10 @@
                 id python:widget.getHtmlWidgetId()+'_widget';"
                 >
-                  <td >
+                  <td valign="top">
                     <span class="dlabel"
                           tal:condition="widget/label"
                           tal:content="widget/label">label</span>:
                   </td>
-                  <td> 
+                  <td valign="top"> 
                     <span tal:replace="structure cell/widget_rendered" />
                   </td>