Index: WAeUP_SRP/trunk/profiles/default/vocabularies/verdicts.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/vocabularies/verdicts.xml	(revision 1445)
+++ WAeUP_SRP/trunk/profiles/default/vocabularies/verdicts.xml	(revision 1446)
@@ -8,5 +8,5 @@
  <item key="A" msgid="">successful student</item>
  <item key="B" msgid="">student with carryover courses</item>
- <item key="C" msgid="">student for probation</item>
+ <item key="C" msgid="">student on probation</item>
  <item key="C" msgid="">student on probation/transfer</item>
  <item key="D" msgid="">student who is to withdraw from the faculty</item>
Index: WAeUP_SRP/trunk/skins/waeup_accommodation/book_reserved_bed.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_accommodation/book_reserved_bed.py	(revision 1445)
+++ WAeUP_SRP/trunk/skins/waeup_accommodation/book_reserved_bed.py	(revision 1446)
@@ -72,5 +72,5 @@
             break
         if not bed_brain.bed_type.endswith("reserved"):
-            psm = "Not a reserved bed %s" % bid
+            psm = "Not a reserved bed: %s" % bid
             break
         if bed_brain.student and not change:
@@ -85,5 +85,5 @@
             break
         if not bed_brain.bed_type.endswith("reserved"):
-            psm = "Not a reserved bed %s" % bid
+            psm = "Not a reserved bed: %s" % bid
             break
         if not bed_brain.student:
@@ -91,5 +91,5 @@
             break
     break
-        
+
 if psm != '':
     return context.book_reserved_bed_form(rendered = rendered,
@@ -103,5 +103,5 @@
     for bed in already:
         acco_cat.modifyRecord(bed=bed.bed,student='')
-        
+
 students = context.portal_url.getPortalObject().campus.students
 student_obj = getattr(students,sid)
@@ -118,8 +118,8 @@
     if acco_id in student_obj.objectIds():
         acco_doc = getattr(student_obj, acco_id).getContent()
-        acco_doc.edit(mapping={'bed': bid + "(removed)"})
-    logger.info('"%s","released reserved bed %s for","%s"' % (member,bid,sid))
-    psm = "Bed %s released for %s" % (sid,student.name)
-    
+        acco_doc.edit(mapping={'bed':bid + " (reservation cancelled by %s!)" % member})
+    logger.info('"%s","cancelled reservation %s by","%s"' % (member,bid,sid))
+    psm = "%s removed from %s" % (student.name,bid)
+
 mode = 'view'
 return context.book_reserved_bed_form(rendered = "",
Index: WAeUP_SRP/trunk/skins/waeup_accommodation/reservedRoomsVoc.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_accommodation/reservedRoomsVoc.py	(revision 1445)
+++ WAeUP_SRP/trunk/skins/waeup_accommodation/reservedRoomsVoc.py	(revision 1446)
@@ -1,3 +1,3 @@
-##parameters=key=None 
+##parameters=key=None
 # $Id$
 """
@@ -6,6 +6,6 @@
 """
 doc = context.getContent()
-voc = [("_".join((r.split('/')[0],r.split('/')[1])),r) 
-                      for r in doc.reserved_rooms.split(',') if r]
+voc = [("_".join((r.split('/')[0],r.split('/')[1])),r)
+                      for r in doc.reserved_rooms.replace(' ','').split(',') if r]
 #from Products.zdb import set_trace;set_trace()
 if not key:
Index: WAeUP_SRP/trunk/skins/waeup_student/getVerdict.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getVerdict.py	(revision 1445)
+++ WAeUP_SRP/trunk/skins/waeup_student/getVerdict.py	(revision 1446)
@@ -10,8 +10,8 @@
 # $Id$
 
-verdicts = {'SUCCESSFUL STUDENT': ('successful',True),
-            'STUDENT WITH CARRYOVER COURSES': ('carryover',True),
-            'STUDENT ON PROBATION': ('probation',False),
-            'WITHDRAWAL STUDENT': ('withdrawal',False),
+verdicts = {'SUCCESSFUL STUDENT': ('A',True),
+            'STUDENT WITH CARRYOVER COURSES': ('B',True),
+            'STUDENT ON PROBATION': ('C',False),
+            'WITHDRAWAL STUDENT': ('D',False),
             'FIRST CLASS HONOURS': ('first_class',False),
             'SECOND CLASS HONOURS (UPPER DIVISION)': ('second_class_upper',False),
Index: WAeUP_SRP/trunk/skins/waeup_student/search_students.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/search_students.py	(revision 1445)
+++ WAeUP_SRP/trunk/skins/waeup_student/search_students.py	(revision 1446)
@@ -228,5 +228,9 @@
     for item in items:
         stcat = context.students_catalog
-        record = stcat(id = item)[0]
+        record = stcat(id = item)
+        if record:
+            record = record[0]
+        else:
+            return item+' not found in students_catalog'
         info = {}
         for field in stcat.schema() + stcat.indexes():