Index: WAeUP_SRP/trunk/profiles/default/layouts/academics_search.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/academics_search.xml	(revision 1444)
+++ WAeUP_SRP/trunk/profiles/default/layouts/academics_search.xml	(revision 1449)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
 <object name="student_search" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/common.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/common.xml	(revision 1444)
+++ WAeUP_SRP/trunk/profiles/default/layouts/common.xml	(revision 1449)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
 <object name="common" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/course.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/course.xml	(revision 1444)
+++ WAeUP_SRP/trunk/profiles/default/layouts/course.xml	(revision 1449)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
 <object name="course" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/department.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/department.xml	(revision 1444)
+++ WAeUP_SRP/trunk/profiles/default/layouts/department.xml	(revision 1449)
@@ -1,4 +1,4 @@
 <?xml version="1.0"?>
-<?xml-stylesheet type="text/xsl" href="types.xsl"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
 <object name="department" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/faculty.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/faculty.xml	(revision 1444)
+++ WAeUP_SRP/trunk/profiles/default/layouts/faculty.xml	(revision 1449)
@@ -1,4 +1,4 @@
 <?xml version="1.0"?>
-<?xml-stylesheet type="text/xsl" href="types.xsl"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
 <object name="faculty" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/members.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/members.xml	(revision 1444)
+++ WAeUP_SRP/trunk/profiles/default/layouts/members.xml	(revision 1449)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
 <object name="members" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/members_search.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/members_search.xml	(revision 1444)
+++ WAeUP_SRP/trunk/profiles/default/layouts/members_search.xml	(revision 1449)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
 <object name="members_search" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/payment.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/payment.xml	(revision 1444)
+++ WAeUP_SRP/trunk/profiles/default/layouts/payment.xml	(revision 1449)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
 <object name="payment" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/scratch_card_batch.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/scratch_card_batch.xml	(revision 1444)
+++ WAeUP_SRP/trunk/profiles/default/layouts/scratch_card_batch.xml	(revision 1449)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
 <object name="scratch_card_batch" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/scratch_card_search.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/scratch_card_search.xml	(revision 1444)
+++ WAeUP_SRP/trunk/profiles/default/layouts/scratch_card_search.xml	(revision 1449)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
 <object name="scratch_card_search" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student.xml	(revision 1444)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student.xml	(revision 1449)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
 <object name="student" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation.xml	(revision 1444)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation.xml	(revision 1449)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
 <object name="student_accommodation" meta_type="CPS Layout">
  <property name="layout_create_method">layout_enter_access_code</property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation_fe.xml	(revision 1444)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation_fe.xml	(revision 1449)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
 <object name="student_accommodation_fe" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml	(revision 1444)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml	(revision 1449)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
 <object name="student_application_fe" meta_type="CPS Layout">
  <property name="layout_create_method">layout_enter_access_code</property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_application_search.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_application_search.xml	(revision 1444)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_application_search.xml	(revision 1449)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
 <object name="student_application_search" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 1444)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 1449)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
 <object name="student_clearance_fe" meta_type="CPS Layout">
  <property name="layout_create_method">layout_enter_access_code</property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_course_result.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_course_result.xml	(revision 1444)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_course_result.xml	(revision 1449)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
 <object name="course_results" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_password.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_password.xml	(revision 1444)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_password.xml	(revision 1449)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
 <object name="student_password" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_personal.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_personal.xml	(revision 1444)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_personal.xml	(revision 1449)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
 <object name="student_personal" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_personal_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_personal_fe.xml	(revision 1444)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_personal_fe.xml	(revision 1449)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
 <object name="student_personal_fe" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_pume.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_pume.xml	(revision 1444)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_pume.xml	(revision 1449)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
 <object name="student_pume" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_pume_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_pume_fe.xml	(revision 1444)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_pume_fe.xml	(revision 1449)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
 <object name="student_pume" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_schoolfee.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_schoolfee.xml	(revision 1444)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_schoolfee.xml	(revision 1449)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
 <object name="student_schoolfee" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_search.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_search.xml	(revision 1444)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_search.xml	(revision 1449)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
 <object name="student_search" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_session_results_search.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_session_results_search.xml	(revision 1444)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_session_results_search.xml	(revision 1449)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
 <object name="student_session_results_search" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_transfer.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_transfer.xml	(revision 1444)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_transfer.xml	(revision 1449)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
 <object name="student_transfer" meta_type="CPS Layout">
   <property name="layout_create_method"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/study_level.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/study_level.xml	(revision 1444)
+++ WAeUP_SRP/trunk/profiles/default/layouts/study_level.xml	(revision 1449)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
 <object name="study_level" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/university.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/university.xml	(revision 1444)
+++ WAeUP_SRP/trunk/profiles/default/layouts/university.xml	(revision 1449)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
 <object name="university" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/waeup_common.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/waeup_common.xml	(revision 1444)
+++ WAeUP_SRP/trunk/profiles/default/layouts/waeup_common.xml	(revision 1449)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
 <object name="waeup_common" meta_type="CPS Layout">
  <property name="layout_create_method"></property>