Index: WAeUP_SRP/trunk/doc/srp_documentation.mm
===================================================================
--- WAeUP_SRP/trunk/doc/srp_documentation.mm	(revision 1455)
+++ WAeUP_SRP/trunk/doc/srp_documentation.mm	(revision 1456)
@@ -10,5 +10,5 @@
 <node CREATED="1170079621592" ID="Freemind_Link_1297017754" MODIFIED="1170079640872" POSITION="right" TEXT="Campus">
 <node CREATED="1171710559043" ID="Freemind_Link_1592396213" MODIFIED="1171710565212" TEXT="Id: campus"/>
-<node CREATED="1170079643589" ID="Freemind_Link_1231068129" MODIFIED="1171710686426" TEXT="Academic Section">
+<node CREATED="1170079643589" FOLDED="true" ID="Freemind_Link_1231068129" MODIFIED="1171710686426" TEXT="Academic Section">
 <node CREATED="1171710577379" ID="Freemind_Link_1444831124" MODIFIED="1171710589887" TEXT="Id: academics"/>
 <node CREATED="1170080366716" ID="Freemind_Link_415048819" MODIFIED="1171709591652" TEXT="{Faculties}">
@@ -46,5 +46,5 @@
 </node>
 </node>
-<node CREATED="1170082138244" FOLDED="true" ID="Freemind_Link_1354366927" MODIFIED="1171710679266" TEXT="Student Section">
+<node CREATED="1170082138244" ID="Freemind_Link_1354366927" MODIFIED="1171710679266" TEXT="Student Section">
 <node CREATED="1171709784119" ID="_" MODIFIED="1171709937449" TEXT="Type: StudentsFolder" VSHIFT="104"/>
 <node CREATED="1171710545564" ID="Freemind_Link_221165828" MODIFIED="1171710551332" TEXT="Id: students"/>
@@ -106,5 +106,5 @@
 </node>
 </node>
-<node CREATED="1171379675232" FOLDED="true" ID="Freemind_Link_41196870" MODIFIED="1171379685192" TEXT="Userinterface">
+<node CREATED="1171379675232" ID="Freemind_Link_41196870" MODIFIED="1171379685192" TEXT="Userinterface">
 <node CREATED="1171379691280" ID="Freemind_Link_24219" MODIFIED="1171379703554" TEXT="Officers">
 <node CREATED="1171379710053" ID="Freemind_Link_1668598079" MODIFIED="1171379734695" TEXT="add_student">
@@ -113,4 +113,12 @@
 <node CREATED="1171379759850" ID="Freemind_Link_435667013" LINK="../profiles/default/schemas/student_create.xml" MODIFIED="1171380077013" TEXT="Schema: student_create"/>
 <node CREATED="1171015856280" ID="Freemind_Link_976681849" LINK="../profiles/default/layouts/student_create.xml" MODIFIED="1171382310446" TEXT="Layout: student_create"/>
+</node>
+</node>
+<node CREATED="1172016304181" ID="Freemind_Link_831833270" MODIFIED="1172016314036" TEXT="Students">
+<node CREATED="1171379710053" ID="Freemind_Link_413720849" MODIFIED="1172016338320" TEXT="change_password">
+<node CREATED="1171379737777" ID="Freemind_Link_1193425802" MODIFIED="1172016370425" TEXT="Script: change_password"/>
+<node CREATED="1171362924343" ID="Freemind_Link_197745680" LINK="../skins/waeup_accommodation/student_create_form.pt" MODIFIED="1172016392094" TEXT="PT: change_password_form"/>
+<node CREATED="1171379759850" ID="Freemind_Link_1595823834" LINK="../profiles/default/schemas/student_change_password.xml" MODIFIED="1172016494768" TEXT="Schema: student_change_password"/>
+<node CREATED="1171015856280" ID="Freemind_Link_83566645" LINK="../profiles/default/layouts/student_change_password.xml" MODIFIED="1172016516654" TEXT="Layout: student_change_password"/>
 </node>
 </node>
@@ -145,5 +153,5 @@
 </node>
 </node>
-<node CREATED="1170082542534" ID="Freemind_Link_243354429" MODIFIED="1171710670383" TEXT="Pin Section">
+<node CREATED="1170082542534" FOLDED="true" ID="Freemind_Link_243354429" MODIFIED="1171710670383" TEXT="Pin Section">
 <node CREATED="1171710956294" ID="Freemind_Link_1564638284" MODIFIED="1171710960600" TEXT="Type: ScratchCardBatchesFolder"/>
 <node CREATED="1171710648131" ID="Freemind_Link_1115846656" MODIFIED="1171710654941" TEXT="Id: pins"/>
Index: WAeUP_SRP/trunk/profiles/default/layouts.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts.xml	(revision 1455)
+++ WAeUP_SRP/trunk/profiles/default/layouts.xml	(revision 1456)
@@ -23,4 +23,5 @@
   <object name="student_application_search" meta_type="CPS Layout"/>
   <object name="student_session_results_search" meta_type="CPS Layout"/>
+  <object name="student_change_password" meta_type="CPS Layout"/>
   <object name="student_clearance" meta_type="CPS Layout"/>
   <object name="student_clearance_fe" meta_type="CPS Layout"/>
Index: WAeUP_SRP/trunk/profiles/default/pins.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/pins.xml	(revision 1455)
+++ WAeUP_SRP/trunk/profiles/default/pins.xml	(revision 1456)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="catalog.xsl"?>
 <object name="portal_pins" meta_type="WAeUP Table">
  <column value="pin"/>
Index: WAeUP_SRP/trunk/profiles/default/pumeresults.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/pumeresults.xml	(revision 1455)
+++ WAeUP_SRP/trunk/profiles/default/pumeresults.xml	(revision 1456)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="catalog.xsl"?>
 <object name="portal_catalog" meta_type="WAeUP Table">
  <column value="jamb_reg_no"/>
Index: WAeUP_SRP/trunk/profiles/default/results_import.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/results_import.xml	(revision 1455)
+++ WAeUP_SRP/trunk/profiles/default/results_import.xml	(revision 1456)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="catalog.xsl"?>
 <object name="portal_catalog" meta_type="CMF Catalog">
  <column value="key"/>
Index: WAeUP_SRP/trunk/profiles/default/returning_import.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/returning_import.xml	(revision 1455)
+++ WAeUP_SRP/trunk/profiles/default/returning_import.xml	(revision 1456)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="catalog.xsl"?>
 <object name="portal_catalog" meta_type="CMF Catalog">
  <column value="matric_no"/>
Index: WAeUP_SRP/trunk/profiles/default/schemas.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas.xml	(revision 1455)
+++ WAeUP_SRP/trunk/profiles/default/schemas.xml	(revision 1456)
@@ -18,4 +18,5 @@
  <object name="student_accommodation" meta_type="CPS Schema"/>
  <object name="student_application" meta_type="CPS Schema"/>
+ <object name="student_change_password" meta_type="CPS Schema"/>
  <object name="student_clearance" meta_type="CPS Schema"/>
  <object name="student_course_result" meta_type="CPS Schema"/>
Index: WAeUP_SRP/trunk/skins/waeup_default/waeup_edit.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/waeup_edit.py	(revision 1455)
+++ WAeUP_SRP/trunk/skins/waeup_default/waeup_edit.py	(revision 1456)
@@ -77,14 +77,12 @@
         phone = ds.get('phone')
         student_id = context.getStudentId()
-        app_doc = context.application.getContent()
-        jamb_sex = 'M'
-        if ds.get('sex'):
-            jamb_sex = 'F'
-            
+        #app_doc = context.application.getContent()
+        #jamb_sex = 'M'
+        #if ds.get('sex'):
+        #    jamb_sex = 'F'
         # originally imported data must be kept; app_doc should not be changed here  
         #app_doc.edit(mapping={'jamb_lastname': name,
         #                      'jamb_sex': jamb_sex
         #                      })
-        
         context.students_catalog.modifyRecord(id = student_id,
                                               name = name,
Index: WAeUP_SRP/trunk/skins/waeup_student/personal_edit.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/personal_edit.py	(revision 1455)
+++ WAeUP_SRP/trunk/skins/waeup_student/personal_edit.py	(revision 1456)
@@ -1,54 +1,0 @@
-## Script (Python) "personal_edit"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=REQUEST, cpsdocument_edit_button=None, cpsdocument_edit_and_view_button=None, action=None
-##title=
-# $Id: application_edit.py 1071 2006-12-16 15:53:13Z joachim $
-"""
-"""
-wftool = context.portal_workflow
-from urllib import urlencode
-from Products.CPSDocument.utils import getFormUidUrlArg
-import DateTime
-current = DateTime.DateTime()
-import logging
-logger = logging.getLogger('Student.Personal.Edit')
-
-info = context.getPersonalInfo()
-
-if info is None:
-    logger.info('"anonymous access","%s"' % REQUEST.get('URL0'))
-    return REQUEST.RESPONSE.redirect("%s/srp_anonymous_view" % context.portal_url())
-
-student = info['student']
-per = info['per']
-per_doc = info['per_doc']
-state = info['review_state']
-is_valid, ds = per_doc.validate(request=REQUEST,
-                                schema_id = 'student_personal',
-                                layout_id = 'student_personal_fe',
-                                proxy=per,
-                                use_session=True)
-
-psm = ""
-args = {}
-action = "/personal_edit_form"
-base_url = per.absolute_url()
-
-if is_valid:
-    if cpsdocument_edit_button:
-        logger.info('"%s", "edited personal data"' % (info['id']))
-        #action = ""
-        #base_url = student.absolute_url()
-        #url = base_url + action
-        psm = 'psm_content_changed'
-else:
-    psm = 'psm_content_error'
-    args = getFormUidUrlArg(REQUEST)
-
-args['portal_status_message'] = psm
-url = base_url + action + '?' + urlencode(args)
-REQUEST.RESPONSE.redirect(url)