Index: /WAeUP_SRP/trunk/WAeUPTool.py
===================================================================
--- /WAeUP_SRP/trunk/WAeUPTool.py	(revision 1461)
+++ /WAeUP_SRP/trunk/WAeUPTool.py	(revision 1462)
@@ -316,5 +316,5 @@
         student_obj.invokeFactory('StudentPersonal','personal')
         da['jamb_reg_no'] = student.Entryregno
-        em = context.getEntryMode(student.Entryregno)
+        em = self.getEntryMode(student.Entryregno)
 ##        em = student.Mode_of_Entry
 ##        if em in ('DIRECT', 'DIRECT ENTRY',):
Index: /WAeUP_SRP/trunk/doc/srp_documentation.mm
===================================================================
--- /WAeUP_SRP/trunk/doc/srp_documentation.mm	(revision 1461)
+++ /WAeUP_SRP/trunk/doc/srp_documentation.mm	(revision 1462)
@@ -62,5 +62,5 @@
 </node>
 </node>
-<node CREATED="1170082164451" FOLDED="true" ID="Freemind_Link_1808367236" MODIFIED="1171711160327" TEXT="Application Data">
+<node CREATED="1170082164451" ID="Freemind_Link_1808367236" MODIFIED="1171711160327" TEXT="Application Data">
 <node CREATED="1170083733194" ID="Freemind_Link_1603566745" MODIFIED="1170862024807" TEXT="Id: application"/>
 <node CREATED="1170083603042" ID="Freemind_Link_1501749959" LINK="../profiles/default/types/StudentApplication.xml" MODIFIED="1171009517689" TEXT="Type: StudentApplication"/>
@@ -143,5 +143,5 @@
 <node CREATED="1171381167605" ID="Freemind_Link_370176221" MODIFIED="1171381186185" TEXT="User Interface">
 <node CREATED="1171381191363" ID="Freemind_Link_1384539281" MODIFIED="1171381247729" TEXT="Student">
-<node CREATED="1171362489012" FOLDED="true" ID="Freemind_Link_875925244" MODIFIED="1171376833636" TEXT="reserve_accommodation">
+<node CREATED="1171362489012" ID="Freemind_Link_875925244" MODIFIED="1171376833636" TEXT="reserve_accommodation">
 <node CREATED="1171362515581" ID="Freemind_Link_1380319587" LINK="../skins/waeup_accommodation/reserve_accommodation.py" MODIFIED="1171376963675" TEXT="Script: reserve_accommodation"/>
 <node CREATED="1171362924343" ID="Freemind_Link_1031270994" LINK="../skins/waeup_accommodation/accommodation_pin_edit_form.pt" MODIFIED="1171377530623" TEXT="PT: accommodation_pin_edit_form"/>
@@ -163,12 +163,13 @@
 </node>
 </node>
-<node CREATED="1170931308473" FOLDED="true" ID="Freemind_Link_249696543" MODIFIED="1170931315740" POSITION="right" TEXT="Catalogs">
+<node CREATED="1170931308473" ID="Freemind_Link_249696543" MODIFIED="1170931315740" POSITION="right" TEXT="Catalogs">
 <node CREATED="1170931319920" ID="Freemind_Link_1633117071" MODIFIED="1171712108641" TEXT="Portal Catalog"/>
-<node CREATED="1171712109062" ID="Freemind_Link_879910437" MODIFIED="1171712115972" TEXT="Students Catalog"/>
-<node CREATED="1171712063356" ID="Freemind_Link_1865945880" MODIFIED="1171712127578" TEXT="Returning Import Table"/>
-<node CREATED="1171712077046" ID="Freemind_Link_1703381403" MODIFIED="1171712189618" TEXT="Session Results Import Table"/>
-<node CREATED="1171712082483" ID="Freemind_Link_1157029282" MODIFIED="1171712136892" TEXT="Accommodation Table"/>
-<node CREATED="1171712137653" ID="Freemind_Link_371928033" MODIFIED="1171712198440" TEXT="Pins Table"/>
-<node CREATED="1171712154817" ID="Freemind_Link_1307066201" MODIFIED="1171712169348" TEXT="PUME/PDE Resuts Table"/>
+<node CREATED="1171712109062" ID="Freemind_Link_769089546" LINK="../profiles/default/courses_catalog.xml" MODIFIED="1172055793074" TEXT="Courses Catalog"/>
+<node CREATED="1171712109062" ID="Freemind_Link_879910437" LINK="../profiles/default/students_catalog.xml" MODIFIED="1172055153081" TEXT="Students Catalog"/>
+<node CREATED="1171712063356" ID="Freemind_Link_1865945880" LINK="../profiles/default/returning_import.xml" MODIFIED="1172055126664" TEXT="Returning Import Table"/>
+<node CREATED="1171712077046" ID="Freemind_Link_1703381403" LINK="../profiles/default/results_import.xml" MODIFIED="1172055188090" TEXT="Session Results Import Table"/>
+<node CREATED="1171712082483" ID="Freemind_Link_1157029282" LINK="../profiles/default/accommodation.xml" MODIFIED="1172055262232" TEXT="Accommodation Table"/>
+<node CREATED="1171712137653" ID="Freemind_Link_371928033" LINK="../profiles/default/pins.xml" MODIFIED="1172055286995" TEXT="Pins Table"/>
+<node CREATED="1171712154817" ID="Freemind_Link_1307066201" LINK="../profiles/default/pumeresults.xml" MODIFIED="1172055646399" TEXT="PUME/PDE Resuts Table"/>
 </node>
 <node CREATED="1172001308558" ID="Freemind_Link_1997267023" MODIFIED="1172001322577" POSITION="right" TEXT="profiles">